#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(i2c_freq_mode_string, "_gpl", "");
KSYMTAB_FUNC(i2c_match_id, "_gpl", "");
KSYMTAB_FUNC(i2c_get_match_data, "", "");
KSYMTAB_FUNC(i2c_generic_scl_recovery, "_gpl", "");
KSYMTAB_FUNC(i2c_recover_bus, "_gpl", "");
KSYMTAB_DATA(i2c_bus_type, "_gpl", "");
KSYMTAB_DATA(i2c_client_type, "_gpl", "");
KSYMTAB_FUNC(i2c_verify_client, "", "");
KSYMTAB_FUNC(i2c_new_client_device, "_gpl", "");
KSYMTAB_FUNC(i2c_unregister_device, "_gpl", "");
KSYMTAB_FUNC(i2c_find_device_by_fwnode, "", "");
KSYMTAB_FUNC(i2c_new_dummy_device, "_gpl", "");
KSYMTAB_FUNC(devm_i2c_new_dummy_device, "_gpl", "");
KSYMTAB_FUNC(i2c_new_ancillary_device, "_gpl", "");
KSYMTAB_FUNC(i2c_adapter_depth, "_gpl", "");
KSYMTAB_DATA(i2c_adapter_type, "_gpl", "");
KSYMTAB_FUNC(i2c_verify_adapter, "", "");
KSYMTAB_FUNC(i2c_handle_smbus_host_notify, "_gpl", "");
KSYMTAB_FUNC(i2c_add_adapter, "", "");
KSYMTAB_FUNC(i2c_add_numbered_adapter, "_gpl", "");
KSYMTAB_FUNC(i2c_del_adapter, "", "");
KSYMTAB_FUNC(devm_i2c_add_adapter, "_gpl", "");
KSYMTAB_FUNC(i2c_find_adapter_by_fwnode, "", "");
KSYMTAB_FUNC(i2c_get_adapter_by_fwnode, "", "");
KSYMTAB_FUNC(i2c_parse_fw_timings, "_gpl", "");
KSYMTAB_FUNC(i2c_for_each_dev, "_gpl", "");
KSYMTAB_FUNC(i2c_register_driver, "", "");
KSYMTAB_FUNC(i2c_del_driver, "", "");
KSYMTAB_FUNC(i2c_clients_command, "", "");
KSYMTAB_FUNC(__i2c_transfer, "", "");
KSYMTAB_FUNC(i2c_transfer, "", "");
KSYMTAB_FUNC(i2c_transfer_buffer_flags, "", "");
KSYMTAB_FUNC(i2c_get_device_id, "_gpl", "");
KSYMTAB_FUNC(i2c_client_get_device_id, "_gpl", "");
KSYMTAB_FUNC(i2c_probe_func_quick_read, "_gpl", "");
KSYMTAB_FUNC(i2c_new_scanned_device, "_gpl", "");
KSYMTAB_FUNC(i2c_get_adapter, "", "");
KSYMTAB_FUNC(i2c_put_adapter, "", "");
KSYMTAB_FUNC(i2c_get_dma_safe_msg_buf, "_gpl", "");
KSYMTAB_FUNC(i2c_put_dma_safe_msg_buf, "_gpl", "");
KSYMTAB_FUNC(i2c_smbus_pec, "", "");
KSYMTAB_FUNC(i2c_smbus_read_byte, "", "");
KSYMTAB_FUNC(i2c_smbus_write_byte, "", "");
KSYMTAB_FUNC(i2c_smbus_read_byte_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_byte_data, "", "");
KSYMTAB_FUNC(i2c_smbus_read_word_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_word_data, "", "");
KSYMTAB_FUNC(i2c_smbus_read_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_read_i2c_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_i2c_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_xfer, "", "");
KSYMTAB_FUNC(__i2c_smbus_xfer, "", "");
KSYMTAB_FUNC(i2c_smbus_read_i2c_block_data_or_emulated, "", "");
KSYMTAB_FUNC(i2c_new_smbus_alert_device, "_gpl", "");

SYMBOL_CRC(i2c_freq_mode_string, 0x550f3e05, "_gpl");
SYMBOL_CRC(i2c_match_id, 0x1271090f, "_gpl");
SYMBOL_CRC(i2c_get_match_data, 0x9a00eed3, "");
SYMBOL_CRC(i2c_generic_scl_recovery, 0xe45a2af4, "_gpl");
SYMBOL_CRC(i2c_recover_bus, 0x07ecf885, "_gpl");
SYMBOL_CRC(i2c_bus_type, 0x77f79ae3, "_gpl");
SYMBOL_CRC(i2c_client_type, 0x5c4382fe, "_gpl");
SYMBOL_CRC(i2c_verify_client, 0x164c3841, "");
SYMBOL_CRC(i2c_new_client_device, 0x18df368b, "_gpl");
SYMBOL_CRC(i2c_unregister_device, 0xff86f867, "_gpl");
SYMBOL_CRC(i2c_find_device_by_fwnode, 0xd41d21dc, "");
SYMBOL_CRC(i2c_new_dummy_device, 0xfd9f521e, "_gpl");
SYMBOL_CRC(devm_i2c_new_dummy_device, 0x0119bda8, "_gpl");
SYMBOL_CRC(i2c_new_ancillary_device, 0x2db19acd, "_gpl");
SYMBOL_CRC(i2c_adapter_depth, 0x7410dc08, "_gpl");
SYMBOL_CRC(i2c_adapter_type, 0xf6a43e93, "_gpl");
SYMBOL_CRC(i2c_verify_adapter, 0x87ce75bd, "");
SYMBOL_CRC(i2c_handle_smbus_host_notify, 0x74584f85, "_gpl");
SYMBOL_CRC(i2c_add_adapter, 0x863592db, "");
SYMBOL_CRC(i2c_add_numbered_adapter, 0x708f2d1d, "_gpl");
SYMBOL_CRC(i2c_del_adapter, 0xa494c4be, "");
SYMBOL_CRC(devm_i2c_add_adapter, 0x71aa71ac, "_gpl");
SYMBOL_CRC(i2c_find_adapter_by_fwnode, 0x1c686df2, "");
SYMBOL_CRC(i2c_get_adapter_by_fwnode, 0x360542fb, "");
SYMBOL_CRC(i2c_parse_fw_timings, 0x4c45ed5e, "_gpl");
SYMBOL_CRC(i2c_for_each_dev, 0xa25028c2, "_gpl");
SYMBOL_CRC(i2c_register_driver, 0xb37477fb, "");
SYMBOL_CRC(i2c_del_driver, 0x093da1b0, "");
SYMBOL_CRC(i2c_clients_command, 0xd1b63514, "");
SYMBOL_CRC(__i2c_transfer, 0xd9d76de6, "");
SYMBOL_CRC(i2c_transfer, 0x91912667, "");
SYMBOL_CRC(i2c_transfer_buffer_flags, 0x0918a655, "");
SYMBOL_CRC(i2c_get_device_id, 0x612fcce5, "_gpl");
SYMBOL_CRC(i2c_client_get_device_id, 0x72e45cc3, "_gpl");
SYMBOL_CRC(i2c_probe_func_quick_read, 0xf12df3fc, "_gpl");
SYMBOL_CRC(i2c_new_scanned_device, 0xd1897901, "_gpl");
SYMBOL_CRC(i2c_get_adapter, 0xf1a25cd0, "");
SYMBOL_CRC(i2c_put_adapter, 0x153db0ba, "");
SYMBOL_CRC(i2c_get_dma_safe_msg_buf, 0x42041512, "_gpl");
SYMBOL_CRC(i2c_put_dma_safe_msg_buf, 0x4dae16e4, "_gpl");
SYMBOL_CRC(i2c_smbus_pec, 0x3491d1ae, "");
SYMBOL_CRC(i2c_smbus_read_byte, 0xde403b88, "");
SYMBOL_CRC(i2c_smbus_write_byte, 0x04a2a811, "");
SYMBOL_CRC(i2c_smbus_read_byte_data, 0xf93e859f, "");
SYMBOL_CRC(i2c_smbus_write_byte_data, 0x8e865c21, "");
SYMBOL_CRC(i2c_smbus_read_word_data, 0x414dd07c, "");
SYMBOL_CRC(i2c_smbus_write_word_data, 0xd11e3afe, "");
SYMBOL_CRC(i2c_smbus_read_block_data, 0xab1f46c0, "");
SYMBOL_CRC(i2c_smbus_write_block_data, 0x69a31d8b, "");
SYMBOL_CRC(i2c_smbus_read_i2c_block_data, 0x765604e5, "");
SYMBOL_CRC(i2c_smbus_write_i2c_block_data, 0x364456cb, "");
SYMBOL_CRC(i2c_smbus_xfer, 0x9767c8dd, "");
SYMBOL_CRC(__i2c_smbus_xfer, 0xea773d82, "");
SYMBOL_CRC(i2c_smbus_read_i2c_block_data_or_emulated, 0x0c07c96f, "");
SYMBOL_CRC(i2c_new_smbus_alert_device, 0x14221c77, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xb97ddcf8, "gpiod_get_value_cansleep" },
	{ 0xacfb26e0, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xdf41e904, "gpiod_get_direction" },
	{ 0x6deaeeff, "devres_release_group" },
	{ 0x3761d215, "idr_find" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x8b549308, "dev_set_name" },
	{ 0xaca0aef0, "complete" },
	{ 0x3bf91973, "trace_raw_output_prep" },
	{ 0x3bdb8612, "bpf_trace_run6" },
	{ 0x2dcbfe42, "device_unregister" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xab2e4c54, "__trace_trigger_soft_disabled" },
	{ 0x32d3b25d, "irq_domain_remove" },
	{ 0x1e075387, "gpiod_set_value_cansleep" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xa59b5f9c, "trace_event_printf" },
	{ 0xf7370f56, "system_state" },
	{ 0x33790864, "device_initialize" },
	{ 0x29df7995, "dummy_irq_chip" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x98dc77b9, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xbae802a5, "device_for_each_child" },
	{ 0xada5fbc6, "bus_for_each_drv" },
	{ 0x343bdf1, "__i2c_board_list" },
	{ 0x8ee234ec, "synchronize_srcu" },
	{ 0x985881b9, "get_device" },
	{ 0xb20d624, "bpf_trace_run8" },
	{ 0x81e2bdf4, "generic_handle_irq_safe" },
	{ 0x5bcf873f, "__dynamic_dev_dbg" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x8303dfda, "dev_driver_string" },
	{ 0x29734170, "trace_event_buffer_commit" },
	{ 0x9038396d, "device_match_fwnode" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x508d7634, "irq_set_chip_and_handler_name" },
	{ 0xba2e1063, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x8cd7f3ba, "device_property_read_u32_array" },
	{ 0x8c2ade2, "handle_simple_irq" },
	{ 0xbee28bf5, "bus_for_each_dev" },
	{ 0xb12eb824, "_dev_info" },
	{ 0x1f575580, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xa9073364, "perf_trace_run_bpf_submit" },
	{ 0x3e58b9ad, "bus_unregister" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x457ed571, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x823d2ed, "bus_find_device" },
	{ 0x66e2cee4, "device_add" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x66a4f68c, "irq_get_irq_data" },
	{ 0x1db31b42, "rt_mutex_unlock" },
	{ 0xe3dba039, "rt_mutex_trylock" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xa331c29b, "debugfs_remove" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x887773b0, "trace_event_reg" },
	{ 0x81a79fd7, "driver_unregister" },
	{ 0xf1c7ed68, "devres_open_group" },
	{ 0x50e7193a, "__i2c_first_dynamic_bus_num" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x1b6c3277, "device_register" },
	{ 0xbe0e12e9, "__irq_resolve_mapping" },
	{ 0x360c7de6, "tracepoint_srcu" },
	{ 0xc13c80a2, "_dev_warn" },
	{ 0x4cf9d976, "device_get_match_data" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x8522f89d, "device_remove_software_node" },
	{ 0x103bafd6, "down_read" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x62a51ced, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9432d220, "trace_event_buffer_reserve" },
	{ 0xeed4e43f, "irq_domain_instantiate" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0xc7c41b12, "devm_gpiod_get" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa06c1497, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3e1a6208, "irq_create_mapping_affinity" },
	{ 0xb0c8c3d9, "__rt_mutex_init" },
	{ 0xc824f9d8, "__i2c_board_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xe49885ad, "device_add_software_node" },
	{ 0xcf13d958, "__devm_add_action" },
	{ 0x581b21b0, "bpf_trace_run7" },
	{ 0x349cba85, "strchr" },
	{ 0x826ecde7, "debugfs_create_dir" },
	{ 0xdb4e2930, "rt_mutex_lock" },
	{ 0xd003970b, "gpiod_direction_output" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0x7380b0f2, "driver_register" },
	{ 0xaba9abd1, "__dev_fwnode" },
	{ 0x43897f0e, "kmalloc_caches" },
	{ 0xd04d561a, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8CAB9BE5D16B3F16C3E578F");
MODULE_INFO(rhelversion, "10.1");
