#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_wc_support_get, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0xa410ec1c, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0xeaf04dd7, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x974a77f8, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0xa858c616, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0xfff9b047, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x9e19468b, "");
SYMBOL_CRC(mlx5_cmd_check, 0x73fe4cb1, "");
SYMBOL_CRC(mlx5_cmd_do, 0x615d9095, "");
SYMBOL_CRC(mlx5_cmd_exec, 0xcf475675, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0xc488dc58, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0xdebc3090, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0xb1bda933, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x51914bd5, "");
SYMBOL_CRC(mlx5_debugfs_root, 0xc55f3b28, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x6f71383b, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x7acd4ecb, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0xd0695aa5, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x46a8189e, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x7cdb14a0, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0xa203824c, "");
SYMBOL_CRC(mlx5_eq_enable, 0x43afc2ca, "");
SYMBOL_CRC(mlx5_eq_disable, 0x2f8de809, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0xf2d72238, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x73dbcc6b, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x1da56b9c, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x9b2194c7, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x6a65996c, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0xfe315e0b, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x5e958977, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x6369ccd3, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0xdbe603b7, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x4afd2679, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x04087439, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0x76217b69, "");
SYMBOL_CRC(mlx5_free_bfreg, 0xe83fe1a6, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0xf84fd383, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x05a6d5a1, "");
SYMBOL_CRC(mlx5_create_cq, 0xdb75464c, "");
SYMBOL_CRC(mlx5_core_create_cq, 0xde9e5451, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x75f835a0, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x9526b43e, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x09e87aec, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0xdd5de7b2, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x8eee6c94, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x617eac13, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x2dd49d4f, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x343d13a4, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x26e70ac1, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x7e32730c, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0xb99af7e1, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x1f6cb1a7, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0xa7d0885d, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x3e13f7d9, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x967e96ce, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0xb9faae12, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x48db078d, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0x2022e4ec, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0xa9a144fb, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x3a06eef7, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0xa1968722, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x4e6336ac, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0xec326040, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0xd09a32a5, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x959a6db2, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0xc8d09f62, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0xd2205f6a, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x79936493, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x32bb8f45, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x144c851e, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0xc9bf2ebb, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0xa75057c9, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0x845f36d6, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x63de9150, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0xff0e72e7, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0x6b310526, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0xe370a249, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x85bb6154, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0xd7120605, "");
SYMBOL_CRC(mlx5_core_create_psv, 0xaa3eba9e, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x10343599, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x84530c57, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0xeac2bacd, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x952f12c7, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0xc7f81612, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0xe8747b91, "");
SYMBOL_CRC(mlx5_core_create_rq, 0xa7fe75cf, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x27f9cb2b, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0x1fca5e32, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x0389d91d, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0x29741b20, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x0d040916, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x153a4d4c, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0xb9411cf2, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x6abba694, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x2e9d48aa, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0xb7f36efe, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0xd189bcb6, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x785b9cb6, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x6bd76834, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x64b88939, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0xa7d41639, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x815175f0, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0x35c12d27, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x22dbef44, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x3a9e829d, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x14829bc9, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0xe7f0be65, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x77a2da96, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x6a352ab0, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0xc6132a8e, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x299be2f9, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0xba5a05aa, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0xc3efce6c, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0xa9d0a2e5, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0x06ce403d, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0x3a142a7c, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0x14d0c09c, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x70d367f5, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x63db280d, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x1b703fb8, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0xcd36ae31, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xb1fc18e8, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x5a9c178e, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x1f35c445, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x14b3795b, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0xc7b25bae, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x8656d9b1, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0xdac518bc, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0xae83efe2, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0xa6a477b6, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0xb4dbf0fe, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x6325dc8a, "");
SYMBOL_CRC(mlx5_flow_table_id, 0x6026f81d, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0x1b1f5272, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x31e55aec, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x6ee3b228, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0xebea85d4, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0xaf4688a5, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xe4cc95dc, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0x04641715, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0xef1f465f, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x9cc8c943, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0xd9885f19, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x3d1528c9, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x054ae47a, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x60dd1154, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x00ccb05e, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x83819f03, "");
SYMBOL_CRC(mlx5_fc_create, 0x65ff0e13, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x21394ead, "");
SYMBOL_CRC(mlx5_fc_query, 0xeea1f076, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0xefb8a168, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0xdef08b96, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0xdc44e350, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0xd9136a43, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x5323a975, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x4dd93616, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0xea213597, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0xde20c9f1, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x8aab5489, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0x1e09f2bb, "");
SYMBOL_CRC(mlx5_lag_is_master, 0xdfd7d822, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x61cd0838, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x9cf9e257, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x42569eaa, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x44b2f4e7, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x8e6642fb, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0xbf80ded3, "");
SYMBOL_CRC(mlx5_notifier_register, 0x2feeb7a8, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0xa5a065f0, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0xa59cbd39, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x2d2fbdc7, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x80832e05, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x409d950b, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0xb26dbbf3, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0xd7dba0ae, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x73fc1d8e, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x3b3cf8c3, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x3475821f, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xdae8aa4d, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0x58df80c0, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x9d6135dc, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x12135c1c, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0xaf335351, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x559ac38d, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xbb07ebdf, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0x7bbc902c, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xfc8e744e, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xf52e1946, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0xa3976897, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x7261330b, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x6cd5a182, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x4c4f5f3c, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xeb9a8bcf, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xf06725b6, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x62c71b5e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xf88d57b1, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x45b52e00, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x56821b93, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x4d5f5c07, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x4d62e046, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x2712c975, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x7b359a09, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x7591d4b9, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0xd896a32d, "");
SYMBOL_CRC(mlx5_wc_support_get, 0xfaa934ab, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x2cdb3b46, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0x798ed8ed, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x28929ea5, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x02b5bedf, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0xf717aedf, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x8c3c6511, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0x360989a2, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0xa2da0b74, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0xc4252f49, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x4d018200, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0xa9d08267, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x0dc19886, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0xe5913948, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x75267999, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x29d700cd, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0x3fbb883e, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0x1dc672cf, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x53efccf3, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0x3320e352, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0xc58cf219, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0xb5b6e62e, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x9fe4de37, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0x36a99dcf, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0x8ac69471, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x70ba5187, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0xedd321f8, "__inet_lookup_established" },
	{ 0xd9ba32d9, "xsk_tx_completed" },
	{ 0x782cdfd0, "napi_alloc_skb" },
	{ 0x5031b05c, "alloc_etherdev_mqs" },
	{ 0x91ea896b, "netdev_lower_get_next" },
	{ 0x21de96a7, "secpath_set" },
	{ 0x611153b0, "flow_block_cb_lookup" },
	{ 0x465a3bb5, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x285b22cc, "devl_rate_leaf_create" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xb784b9ba, "xp_alloc" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xfa5773d8, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xeacd0cf3, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x4dd12f7f, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xa06e587a, "release_firmware" },
	{ 0x4f8b38e2, "bpf_prog_put" },
	{ 0x7cc343ad, "page_pool_get_stats" },
	{ 0xb1e8126c, "down_timeout" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xae503698, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd810d10f, "pci_cfg_access_unlock" },
	{ 0x5f15158b, "xp_dma_map" },
	{ 0x9ff08174, "bpf_trace_run4" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x583801eb, "devlink_unregister" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xc90f1f15, "skb_copy_bits" },
	{ 0x91a61162, "debugfs_attr_write" },
	{ 0xa95af7f0, "dma_pool_create" },
	{ 0xe2074243, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0x39b19b79, "pci_msix_vec_count" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0xd2d2e025, "pci_enable_device" },
	{ 0x8e31fb2e, "skb_put" },
	{ 0x2a69eeac, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x93257f85, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x4bf93952, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x712611b5, "register_fib_notifier" },
	{ 0xce57af38, "auxiliary_device_init" },
	{ 0x11b9c547, "ip6_dst_hoplimit" },
	{ 0x8e23373b, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xae79c605, "flow_rule_match_enc_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x5529d6fb, "trace_seq_printf" },
	{ 0x565fc376, "pci_alloc_irq_vectors" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x904788cf, "netif_napi_add_weight" },
	{ 0x8a78f5c3, "pci_enable_atomic_ops_to_root" },
	{ 0x601a3abc, "seq_release" },
	{ 0xe54e0628, "dev_add_pack" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x38493a8b, "idr_alloc_u32" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x3bf91973, "trace_raw_output_prep" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x97076378, "xsk_clear_tx_need_wakeup" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xd39ea1ad, "udp4_hwcsum" },
	{ 0xe254f4f8, "xa_get_mark" },
	{ 0x4fbf95bb, "devl_lock" },
	{ 0x411e9d7e, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x70af4472, "ndo_dflt_bridge_getlink" },
	{ 0xa7be3406, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xc008c542, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xab2e4c54, "__trace_trigger_soft_disabled" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0xf052e1a7, "flow_rule_match_tcp" },
	{ 0x1e517612, "__kmalloc_node_noprof" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x8bded20f, "zpci_load" },
	{ 0xa55940f9, "register_netdevice_notifier_dev_net" },
	{ 0xff33aed4, "dma_unmap_page_attrs" },
	{ 0xa59b5f9c, "trace_event_printf" },
	{ 0x82241c8b, "devlink_health_reporter_create" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xce6fbab0, "flow_rule_match_cvlan" },
	{ 0xa31d1dea, "__xa_erase" },
	{ 0x857855b0, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xd566933c, "up" },
	{ 0x67e2272e, "refcount_dec_and_mutex_lock" },
	{ 0xdd0f996c, "xdp_rxq_info_unused" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xdbb643e2, "pci_num_vf" },
	{ 0x2806f707, "debugfs_create_atomic_t" },
	{ 0x42eebf54, "flow_rule_match_eth_addrs" },
	{ 0xa0cea797, "pci_disable_ptm" },
	{ 0x34aed722, "xfrm_state_check_expire" },
	{ 0x38b1dbd2, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x10d07d9b, "ptp_clock_index" },
	{ 0x9db4a9aa, "pci_request_regions" },
	{ 0xcc7bf8a, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x98dc77b9, "trace_event_raw_init" },
	{ 0xd5a7a5fe, "flow_block_cb_free" },
	{ 0xa176eaf6, "devl_port_fn_devlink_set" },
	{ 0x236c8c64, "memcpy" },
	{ 0xa26c8663, "xp_can_alloc" },
	{ 0xbfdf1905, "psample_sample_packet" },
	{ 0xa97c320d, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xd474c52, "devlink_alloc_ns" },
	{ 0xe9d91380, "devl_rate_leaf_destroy" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x2ce99c2e, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x35912082, "devlink_register" },
	{ 0x1e9c9167, "devlink_remote_reload_actions_performed" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0x839a730c, "seq_lseek" },
	{ 0xb8b3b98, "page_pool_destroy" },
	{ 0x312bb091, "xdp_do_redirect" },
	{ 0x529d271d, "devlink_free" },
	{ 0xd3e564d8, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5ddefb88, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xa814e6c4, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x20389e5b, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x149100a7, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x3fdc72b3, "pci_irq_vector" },
	{ 0xc73b845b, "flow_rule_match_ipv4_addrs" },
	{ 0x4a0e0f5e, "ip_route_output_flow" },
	{ 0xd2ee8d5, "__netif_napi_del" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5bcf873f, "__dynamic_dev_dbg" },
	{ 0x3e06d9bb, "sock_gen_put" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0xc73beb97, "pci_unregister_driver" },
	{ 0xb928aa45, "netdev_rss_key_fill" },
	{ 0x909fda42, "blocking_notifier_chain_register" },
	{ 0xc8cd539a, "netdev_err" },
	{ 0xb0450132, "pci_cfg_access_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7a418a32, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x8303dfda, "dev_driver_string" },
	{ 0x7df050f2, "netdev_port_same_parent_id" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x29734170, "trace_event_buffer_commit" },
	{ 0x954be931, "dev_addr_mod" },
	{ 0xf5170b0a, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x6fe84da9, "ptp_find_pin" },
	{ 0xe236e57d, "eth_type_trans" },
	{ 0x17ffa42c, "pci_read_config_dword" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xff479f97, "request_firmware_direct" },
	{ 0x85365169, "flow_rule_match_icmp" },
	{ 0xa8f63daf, "auxiliary_driver_unregister" },
	{ 0x7a99a840, "dma_map_page_attrs" },
	{ 0xeab5b11c, "trace_seq_putc" },
	{ 0xd7e84ee3, "napi_complete_done" },
	{ 0x8436f881, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0xc13a1bb, "devlink_port_attrs_pci_vf_set" },
	{ 0xdf35cb87, "priv_to_devlink" },
	{ 0x1eec1238, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x81aa6c35, "vlan_dev_vlan_proto" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xba2e1063, "put_device" },
	{ 0x8ee8543e, "net_dim" },
	{ 0xd7c89a3b, "__napi_schedule" },
	{ 0x614026a3, "devlink_port_health_reporter_create" },
	{ 0x959a6459, "__kmalloc_large_noprof" },
	{ 0x72e6bfe3, "pcie_relaxed_ordering_enabled" },
	{ 0xdde578ab, "xsk_set_rx_need_wakeup" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x916fc27d, "devlink_port_attrs_pci_pf_set" },
	{ 0x527a73bc, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x7312fe20, "netif_device_detach" },
	{ 0x554bf13, "__free_pages" },
	{ 0xb12eb824, "_dev_info" },
	{ 0x8ce19683, "skb_vlan_pop" },
	{ 0xf3f49ea1, "napi_gro_receive" },
	{ 0xe1cfd9c4, "netif_device_attach" },
	{ 0xb045ff8d, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x40916aea, "netdev_pick_tx" },
	{ 0x583394b8, "flow_indr_dev_unregister" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0xd6330fa8, "xp_raw_get_dma" },
	{ 0xfba3fb8b, "eth_get_headlen" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x864609af, "xdp_rxq_info_is_reg" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x56dfaf8f, "flow_rule_match_enc_opts" },
	{ 0xc2c5802, "work_busy" },
	{ 0xa7d3eb18, "devlink_net" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0x68d364bc, "free_fib_info" },
	{ 0x9b81d4bc, "devl_health_reporter_create" },
	{ 0x4ba4f4aa, "flow_block_cb_setup_simple" },
	{ 0x800473f, "__cond_resched" },
	{ 0xd6d3a198, "pci_msix_can_alloc_dyn" },
	{ 0x55f8f505, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7adbbd3d, "unregister_netdevice_notifier_dev_net" },
	{ 0xd50661bd, "pci_find_capability" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xc511f7a1, "pci_iov_vf_id" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xea815082, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x6e3fa287, "flow_rule_match_ct" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0x95122d4e, "vlan_dev_real_dev" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xd505afd2, "__dma_sync_single_for_cpu" },
	{ 0x660fe5da, "pci_msix_free_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x94f50ead, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xa9073364, "perf_trace_run_bpf_submit" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0xc78dfefd, "__irq_apply_affinity_hint" },
	{ 0x1c00c8d8, "devlink_port_unregister" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x2f892026, "dev_get_port_parent_id" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x457ed571, "_dev_err" },
	{ 0x2293f6fc, "init_net" },
	{ 0xd2510a63, "up_write" },
	{ 0xabd09867, "softnet_data" },
	{ 0xfde94c94, "ipv6_stub" },
	{ 0x3b7d6884, "simple_open" },
	{ 0x67e4f6fc, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0xc728163d, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xcf26c3f8, "simple_attr_release" },
	{ 0xefaf3a12, "ptp_clock_register" },
	{ 0xd1127b7f, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2d87e65f, "xsk_tx_peek_desc" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xf19fcb7d, "__traceiter_xdp_exception" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0xbf4072, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x86739787, "sk_skb_reason_drop" },
	{ 0x5f4c3734, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x66a4f68c, "irq_get_irq_data" },
	{ 0x2454f53b, "dev_remove_pack" },
	{ 0xb85b3f54, "netif_set_real_num_rx_queues" },
	{ 0x81b433f2, "down" },
	{ 0x1d8a46ba, "dev_get_by_index" },
	{ 0x7a273c07, "bpf_trace_run5" },
	{ 0xec399bfc, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x3e8cb8c9, "skb_store_bits" },
	{ 0x46194177, "devl_port_register_with_ops" },
	{ 0xfae5bdfc, "dev_get_by_index_rcu" },
	{ 0x4cb758be, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0xa94ee689, "mlxfw_firmware_flash" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x158dd304, "pcie_capability_clear_and_set_word_locked" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xd589db70, "skb_push" },
	{ 0x70e3561, "kmem_cache_free" },
	{ 0x5bad23f8, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xa331c29b, "debugfs_remove" },
	{ 0xa7d2fe8f, "pci_read_config_word" },
	{ 0xa88df16e, "napi_enable" },
	{ 0x85abc85f, "strncmp" },
	{ 0x949cf0d6, "xsk_clear_rx_need_wakeup" },
	{ 0x51725dac, "seq_putc" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xa6eafcb4, "unregister_netdevice_notifier_net" },
	{ 0xc3ae2fcc, "auxiliary_device_sysfs_irq_remove" },
	{ 0x7182baf5, "xsk_uses_need_wakeup" },
	{ 0xd8d7a7a5, "register_netdev" },
	{ 0x9158d7f6, "unregister_fib_notifier" },
	{ 0x887773b0, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xef7afc29, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x964aad3, "debugfs_create_u64" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x1d1a7547, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x6c6961b, "debugfs_create_size_t" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x41ae579a, "devl_params_register" },
	{ 0x90bbbe7a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x976b9866, "page_pool_put_unrefed_netmem" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x6c6c065, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x66b7f72, "netif_set_xps_queue" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xfbecf9a3, "__ethtool_get_link_ksettings" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0x15d85a57, "down_trylock" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb93a6a2e, "zpci_write_block" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xd4c9f586, "pci_restore_state" },
	{ 0x141dea80, "bpf_trace_run1" },
	{ 0x10a6bba3, "__inet6_lookup_established" },
	{ 0xa2362884, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x8f067921, "device_del" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0x6ad4d129, "page_pool_create" },
	{ 0xff125f66, "skb_checksum" },
	{ 0xe09fdc19, "devl_param_driverinit_value_set" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xc13c80a2, "_dev_warn" },
	{ 0xf3d7cbbc, "flow_rule_match_ports" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x9fcd7460, "__kmalloc_cache_node_noprof" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0xbfe80599, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x70f93d98, "devl_resources_unregister" },
	{ 0x9b5b6fff, "ptp_clock_event" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x30441365, "netif_schedule_queue" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0x35680eb0, "pci_set_master" },
	{ 0xe9e46676, "devl_trap_groups_register" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xdfa83332, "debugfs_create_u32" },
	{ 0x79b045b6, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x85e85709, "flow_rule_match_ipv6_addrs" },
	{ 0x31f87542, "netdev_set_tc_queue" },
	{ 0x65a7a23, "atomic_notifier_call_chain" },
	{ 0x4add6430, "devl_params_unregister" },
	{ 0x88db2d9, "ptp_clock_unregister" },
	{ 0xcd402706, "__pskb_pull_tail" },
	{ 0xefc2c54f, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb3570dcd, "__netdev_alloc_skb" },
	{ 0x6108288f, "complete_all" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0xbe9795b7, "devlink_trap_report" },
	{ 0x5c131701, "__kmem_cache_create_args" },
	{ 0x2c3575d4, "__neigh_event_send" },
	{ 0x998e7468, "flow_block_cb_alloc" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0x868bde1d, "down_write_trylock" },
	{ 0x7501cc5e, "dev_printk_emit" },
	{ 0x103bafd6, "down_read" },
	{ 0x24258b78, "devl_traps_register" },
	{ 0x77e85197, "devl_unlock" },
	{ 0xc67d48a4, "__dynamic_netdev_dbg" },
	{ 0xe798236d, "jiffies" },
	{ 0x593aa675, "dma_set_coherent_mask" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6574d6b0, "__neigh_create" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x158c833b, "flow_rule_match_enc_control" },
	{ 0x62a51ced, "bpf_trace_run3" },
	{ 0x391f8307, "seq_read" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x8574bb03, "trace_print_flags_seq" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xc0d5bae4, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xb48852f5, "rps_may_expire_flow" },
	{ 0x44367a81, "metadata_dst_free" },
	{ 0xe4a95266, "blocking_notifier_chain_unregister" },
	{ 0xde7eeb05, "xsk_set_tx_need_wakeup" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x908d5212, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf3d90c4, "netdev_reset_tc" },
	{ 0x9b87867, "neigh_destroy" },
	{ 0xe2be4139, "dma_free_attrs" },
	{ 0x7c24e239, "rhltable_init_noprof" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x4dcd4340, "rhashtable_init_noprof" },
	{ 0x9432d220, "trace_event_buffer_reserve" },
	{ 0xf50e3e1a, "pci_reset_bus" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x9d407a, "debugfs_create_x32" },
	{ 0x6ab8bc78, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x734465c7, "flow_rule_match_enc_ports" },
	{ 0x43bf6f7a, "xdp_return_frame_bulk" },
	{ 0xbb9d0dc5, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xaeb98e9c, "pci_release_regions" },
	{ 0x633bca12, "netif_queue_set_napi" },
	{ 0xd699243, "__dma_sync_single_for_device" },
	{ 0x989e1516, "xa_destroy" },
	{ 0xaf7eaf4d, "bpf_prog_add" },
	{ 0x9005f3a2, "net_dim_get_def_tx_moderation" },
	{ 0x42ae6d99, "xa_find" },
	{ 0x924a75d8, "devl_assert_locked" },
	{ 0xb4a8912e, "pcie_print_link_status" },
	{ 0xa4c832df, "xp_set_rxq_info" },
	{ 0x89530255, "flow_rule_match_vlan" },
	{ 0x44f07d23, "devl_port_unregister" },
	{ 0x472fd342, "xdp_rxq_info_unreg" },
	{ 0x8ce1bf4c, "page_pool_alloc_pages" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xff9eaccd, "devl_param_driverinit_value_get" },
	{ 0x236dad11, "napi_build_skb" },
	{ 0xe1483c17, "netdev_master_upper_dev_get_rcu" },
	{ 0xf7320ad2, "__xdp_rxq_info_reg" },
	{ 0xb78f41e2, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa06c1497, "__kmalloc_cache_noprof" },
	{ 0xdd9e1a7d, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x55a274da, "bpf_prog_inc" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x65eb1b16, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8b2e4272, "netif_carrier_off" },
	{ 0x1879a748, "seq_printf" },
	{ 0xd1fcb165, "flow_rule_match_meta" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x756762c5, "devlink_priv" },
	{ 0x6dc2593, "pci_enable_ptm" },
	{ 0x5453fbc9, "devlink_port_register_with_ops" },
	{ 0x7d349f32, "pci_disable_sriov" },
	{ 0xdf562ea2, "metadata_dst_alloc" },
	{ 0x49a2f510, "dst_release" },
	{ 0x932dfd28, "netif_carrier_on" },
	{ 0xf14f4027, "netdev_set_num_tc" },
	{ 0x3039df8e, "dql_reset" },
	{ 0xfbcc01ad, "debugfs_create_file_full" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xd2d87527, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd9a6d66b, "alloc_pages_noprof" },
	{ 0x5f424f37, "pci_disable_device" },
	{ 0x6638f664, "net_dim_get_def_rx_moderation" },
	{ 0xdc9fcddf, "net_dim_get_tx_moderation" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x595c498f, "xp_free" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0x21dca8b4, "page_pool_update_nid" },
	{ 0xfb83c659, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x65bfecc7, "dma_set_mask" },
	{ 0xa4c11930, "__auxiliary_driver_register" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x6b2a1a49, "netif_set_tso_max_size" },
	{ 0x4eb68083, "vlan_dev_vlan_id" },
	{ 0xb81c53bc, "__skb_flow_dissect" },
	{ 0x44315cd1, "pci_msix_alloc_irq_at" },
	{ 0xd0a652fe, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xd1b8cebd, "skb_add_rx_frag_netmem" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x4aef38a2, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x97217318, "skb_coalesce_rx_frag" },
	{ 0x4731256, "xp_raw_get_data" },
	{ 0x514ffba1, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x70336943, "xa_set_mark" },
	{ 0x801b4e9b, "napi_schedule_prep" },
	{ 0x21119f1, "qdisc_reset" },
	{ 0xe9c5bb0e, "napi_consume_skb" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0xdd32def7, "xp_alloc_batch" },
	{ 0xb87c33d0, "flow_rule_match_mpls" },
	{ 0x9aa17e06, "napi_disable" },
	{ 0x72cfbcc7, "dev_kfree_skb_any_reason" },
	{ 0x8763425, "dcb_ieee_delapp" },
	{ 0x581b21b0, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xf89b2e47, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3cbdd47e, "debugfs_create_u8" },
	{ 0xf5f10bc0, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x46e6bdd, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0x826ecde7, "debugfs_create_dir" },
	{ 0x38762c8, "idr_get_next_ul" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xf38cfe46, "skb_ext_add" },
	{ 0x4fd05031, "pcie_bandwidth_available" },
	{ 0xf19b40c5, "pci_free_irq_vectors" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xe9a72f42, "flow_rule_match_control" },
	{ 0x7ab32c42, "flow_rule_match_ip" },
	{ 0x5f299163, "pci_enable_sriov" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd64a64fb, "auxiliary_device_sysfs_irq_add" },
	{ 0x5663813a, "dcb_ieee_setapp" },
	{ 0x91d20872, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xf1456809, "xsk_tx_release" },
	{ 0x537af829, "devl_traps_unregister" },
	{ 0xe764f9ac, "pci_iov_get_pf_drvdata" },
	{ 0x92628705, "pci_write_config_dword" },
	{ 0x43897f0e, "kmalloc_caches" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0x8e2e4454, "netdev_info" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x5445ab0e, "neigh_lookup" },
	{ 0xa687b5a0, "kmem_cache_destroy" },
	{ 0x9ff1f716, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "psample,tls,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");
MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");

MODULE_INFO(srcversion, "E9CB2301AF6314F258F3AFD");
MODULE_INFO(rhelversion, "10.1");
