#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0xb81e0a51, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0xd03a1db4, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0xe51b85c7, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0x8e6090d3, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x144fe149, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0x248078a7, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x2e095286, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0xbe31bfc9, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0x643e03e7, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x3ecf1cbc, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x2851f08a, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0xe248233d, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0x48fd9724, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x26fc2466, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0xbac3a242, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0xa2271fd7, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0x1a6e3d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x4146d563, "iscsi_dbg_trace" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xd4b7a437, "_dev_printk" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x4dd12f7f, "vmemmap" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xbd7326f1, "crypto_ahash_update" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xdaebc4a8, "crypto_ahash_final" },
	{ 0xf76cb4b8, "crypto_ahash_digest" },
	{ 0x4c8cdd6b, "crypto_ahash_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0xe798236d, "jiffies" },
	{ 0xe260853c, "skb_prepare_seq_read" },
	{ 0xe39d6451, "skb_seq_read" },
	{ 0xce0c8107, "skb_abort_seq_read" },
	{ 0x72306185, "iscsi_conn_failure" },
	{ 0x324c432, "iscsi_conn_setup" },
	{ 0xe02fc505, "iscsi_conn_teardown" },
	{ 0xb534f61f, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xb32662a6, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xc1f91e8d, "__traceiter_iscsi_dbg_tcp" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x7b90a0d9, "iscsi_itt_to_ctask" },
	{ 0x223a09c7, "iscsi_get_task" },
	{ 0x14becd32, "iscsi_update_cmdsn" },
	{ 0x3d100e90, "iscsi_requeue_task" },
	{ 0xb23cce81, "iscsi_put_task" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x837eae77, "iscsi_prep_data_out_pdu" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x3ce9f845, "iscsi_complete_pdu" },
	{ 0x6c8eb83d, "iscsi_verify_itt" },
	{ 0xf04d4db9, "__iscsi_complete_pdu" },
	{ 0x73f9b65b, "param_ops_int" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "05396420508FC29934C00A8");
MODULE_INFO(rhelversion, "10.1");
