#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_edid_read, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_dynamic_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drmm_connector_hdmi_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_dynamic_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_broadcast_rgb_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_output_format_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_broadcast_rgb_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drmm_cgroup_register_region, "_gpl", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_product_id, "", "");
KSYMTAB_FUNC(drm_edid_print_product_id, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_edid_read_base_block, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_match, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_edid_is_digital, "", "");
KSYMTAB_FUNC(drm_eld_sad_get, "", "");
KSYMTAB_FUNC(drm_eld_sad_set, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_memory_stats_is_zero, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(mock_drm_getfile, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_color_mode_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_framebuffer_check_src_coords, "", "");
KSYMTAB_FUNC(drm_internal_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_framebuffer_free, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_gem_object_init_with_mnt, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_lock, "", "");
KSYMTAB_FUNC(drm_gem_unlock, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_release_action, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_add, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_obj_find_prop_id, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_plane_has_format, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_plane_add_size_hints_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_dmabuf, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_dbg, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(__drm_printfn_line, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_print_hex_dump, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob_from_id, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_vblank_crtc, "", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on_config, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush_all, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_dev_unregister, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_dev_suspend, "", "");
KSYMTAB_FUNC(drm_client_dev_resume, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_prandom_u32_max_state, "", "");
KSYMTAB_FUNC(drm_random_reorder, "", "");
KSYMTAB_FUNC(drm_random_order, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");

SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0xccd4769e, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0xdb1c7ccf, "");
SYMBOL_CRC(drm_atomic_state_init, 0xfc36edb5, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0x0eae1ce9, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0x8d93b2a7, "");
SYMBOL_CRC(drm_atomic_state_clear, 0x1c4b27b7, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0xd9b2093c, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0x77ecd98a, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0x10bdcaf6, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0x766f4412, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0xaf0bf668, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0x3b0e33bf, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0xba7f71a8, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0x7e07ce8c, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0xff768c9b, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0xe5cff3a9, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0xef9d5bbb, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0x82ec98b9, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0xef2a0c8d, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0xf5fde914, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0x064ecaf4, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0xdc608ee0, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0x96e44b20, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0x2bc299e6, "");
SYMBOL_CRC(drm_atomic_check_only, 0x3efbffdf, "");
SYMBOL_CRC(drm_atomic_commit, 0x01242a9c, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0xd0145608, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0x831740d3, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0x320da9f1, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0xe8356f11, "");
SYMBOL_CRC(drm_state_dump, 0x20c7fd91, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0x2e1372f1, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0x0e18b4be, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0xe46f8fbd, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0x395eb401, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0xa0788c0a, "");
SYMBOL_CRC(drm_is_current_master, 0xa9ae4b97, "");
SYMBOL_CRC(drm_master_get, 0x6b343bef, "");
SYMBOL_CRC(drm_file_get_master, 0xed56f858, "");
SYMBOL_CRC(drm_master_put, 0x167d2cb6, "");
SYMBOL_CRC(drm_master_internal_acquire, 0xe0163bce, "");
SYMBOL_CRC(drm_master_internal_release, 0x28f04037, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0xa3837abc, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0x1e225b20, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0x5251647e, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0xb1b5e1c4, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0x717d7392, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0x664791c4, "");
SYMBOL_CRC(drm_bridge_add, 0x4b31f30a, "");
SYMBOL_CRC(devm_drm_bridge_add, 0x16518bd0, "");
SYMBOL_CRC(drm_bridge_remove, 0x7fa3cb74, "");
SYMBOL_CRC(drm_bridge_attach, 0x8ca582f7, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0x7d7914d8, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0xfb1f8ad9, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0x16415184, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0x552c1092, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0x16298c2e, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0x1a87e26c, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0x11fc834b, "");
SYMBOL_CRC(drm_bridge_detect, 0x799270ef, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0xef846c59, "_gpl");
SYMBOL_CRC(drm_bridge_edid_read, 0x12411e30, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0x293bf650, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0x09d67cf7, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0xef1589c0, "_gpl");
SYMBOL_CRC(drm_clflush_pages, 0x5af7a5c9, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0x747d769c, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0xc4a08aa9, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0xe37387e7, "");
SYMBOL_CRC(drm_color_lut_check, 0x0a068223, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0xb7feb940, "");
SYMBOL_CRC(drm_connector_dynamic_init, 0xfb2b3313, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0x0cefd419, "");
SYMBOL_CRC(drmm_connector_init, 0xe8c31f06, "");
SYMBOL_CRC(drmm_connector_hdmi_init, 0x00c53543, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0xedfad2d5, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0xf21b9c09, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0x67a077c1, "");
SYMBOL_CRC(drm_connector_cleanup, 0x22878fb5, "");
SYMBOL_CRC(drm_connector_register, 0x8a0f99a6, "");
SYMBOL_CRC(drm_connector_dynamic_register, 0xe87d2e28, "");
SYMBOL_CRC(drm_connector_unregister, 0x95d5fad3, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0x45891cbe, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0x7b9e9fd9, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0xed803f57, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0xd4099a0b, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xdaff2cdf, "");
SYMBOL_CRC(drm_hdmi_connector_get_broadcast_rgb_name, 0x4e966c75, "");
SYMBOL_CRC(drm_hdmi_connector_get_output_format_name, 0x273dc9d6, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0x83265d11, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0x7a97bdc5, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0x2d53e4a4, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0xa09258de, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0xab5f5cbe, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0x1b381212, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0x1e3f1475, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0x72eff4c6, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0x64c96020, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0x91286c63, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0xc23af580, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0xda8a3929, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0xb643bbf0, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0x39a622fa, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0x500900d9, "");
SYMBOL_CRC(drm_connector_set_path_property, 0x9e7ce971, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0x0f52586d, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0x31eb488a, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0x3f687866, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0x1d14d5ee, "");
SYMBOL_CRC(drm_connector_attach_broadcast_rgb_property, 0x2022f29e, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0x4c727d35, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0xf2507807, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0xd1e2180b, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0x1cba223c, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0x0bea9d43, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0x0896f15f, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0xb7b5a6c7, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0x3821838d, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0x49818b0f, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0x4f3b1fea, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0x440eed9c, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0xd4eb6d8a, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0xe10a766b, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0xb4ec7ec1, "");
SYMBOL_CRC(drm_crtc_from_index, 0x6b11c706, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0x05120927, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0x1615315c, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0x51a34faa, "");
SYMBOL_CRC(drm_crtc_cleanup, 0xaafd7b40, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0x5f514c1a, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0x9c411fde, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0x13e66e54, "");
SYMBOL_CRC(drm_put_dev, 0x1bf7689a, "");
SYMBOL_CRC(drm_dev_enter, 0xfb769723, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0xbcaeeb71, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0xdf2d94c7, "");
SYMBOL_CRC(drm_dev_alloc, 0x932b1d9d, "");
SYMBOL_CRC(drm_dev_get, 0x4d3fdb32, "");
SYMBOL_CRC(drm_dev_put, 0x9076121b, "");
SYMBOL_CRC(drmm_cgroup_register_region, 0xa1c6c779, "_gpl");
SYMBOL_CRC(drm_dev_register, 0x461cb79c, "");
SYMBOL_CRC(drm_dev_unregister, 0xe75d4f47, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_is_valid, 0xc4200dab, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0xd4045547, "");
SYMBOL_CRC(drm_edid_raw, 0x98fed39f, "");
SYMBOL_CRC(drm_edid_alloc, 0xa6943fc6, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0x36e317c8, "");
SYMBOL_CRC(drm_get_edid, 0x7316d64a, "");
SYMBOL_CRC(drm_edid_read_custom, 0x11e99d86, "");
SYMBOL_CRC(drm_edid_read_ddc, 0x49bd82f7, "");
SYMBOL_CRC(drm_edid_read, 0xe86d3032, "");
SYMBOL_CRC(drm_edid_get_product_id, 0x38d55d21, "");
SYMBOL_CRC(drm_edid_print_product_id, 0x0976ba9b, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0xe75a9a81, "");
SYMBOL_CRC(drm_edid_read_base_block, 0x66df3c40, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0x382a20f5, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0x6bca949a, "");
SYMBOL_CRC(drm_edid_duplicate, 0x5f7137ba, "");
SYMBOL_CRC(drm_mode_find_dmt, 0xaa9afcc8, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0x5a0c14b8, "");
SYMBOL_CRC(drm_edid_match, 0x05eb4392, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x5e5128bf, "");
SYMBOL_CRC(drm_edid_to_sad, 0x4124e206, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x47e22e1f, "");
SYMBOL_CRC(drm_av_sync_delay, 0x54a7a2a5, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0xa44eb44e, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0xe4116245, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0xeef97671, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0xaed9dee1, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0xd8a600bb, "");
SYMBOL_CRC(drm_add_edid_modes, 0xc03ae77b, "");
SYMBOL_CRC(drm_add_modes_noedid, 0xb9acef07, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0x5088a1c2, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0xedca6dbc, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0xd0a90d77, "");
SYMBOL_CRC(drm_edid_is_digital, 0xc518d486, "");
SYMBOL_CRC(drm_eld_sad_get, 0xe8fa400a, "");
SYMBOL_CRC(drm_eld_sad_set, 0xc53a8214, "");
SYMBOL_CRC(drm_encoder_init, 0x8acc7a3f, "");
SYMBOL_CRC(drm_encoder_cleanup, 0x6c79297e, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0xa71fad14, "");
SYMBOL_CRC(drmm_encoder_init, 0xaedfc267, "");
SYMBOL_CRC(drm_open, 0x9f464c43, "");
SYMBOL_CRC(drm_release, 0xa3c9c914, "");
SYMBOL_CRC(drm_release_noglobal, 0x1458a5ab, "");
SYMBOL_CRC(drm_read, 0x476bc120, "");
SYMBOL_CRC(drm_poll, 0x8b58ded9, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0x04b1dcab, "");
SYMBOL_CRC(drm_event_reserve_init, 0xb68b59ac, "");
SYMBOL_CRC(drm_event_cancel_free, 0x9e525669, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0x6fd75234, "");
SYMBOL_CRC(drm_send_event_locked, 0x508e7b21, "");
SYMBOL_CRC(drm_send_event, 0xcb1398e5, "");
SYMBOL_CRC(drm_memory_stats_is_zero, 0x07650d87, "");
SYMBOL_CRC(drm_print_memory_stats, 0x3a586a55, "");
SYMBOL_CRC(drm_show_memory_stats, 0xb14d2bb1, "");
SYMBOL_CRC(drm_show_fdinfo, 0x36f8e6b6, "");
SYMBOL_CRC(mock_drm_getfile, 0xca1de6d4, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0x544f29aa, "");
SYMBOL_CRC(drm_driver_color_mode_format, 0x7f12b6c5, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0xc9303911, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_framebuffer_check_src_coords, 0x2ddedab8, "");
SYMBOL_CRC(drm_internal_framebuffer_create, 0xa098fa24, "");
SYMBOL_CRC(drm_framebuffer_free, 0xd4f8a3e1, "");
SYMBOL_CRC(drm_framebuffer_init, 0xb8cb893c, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0x1e6c15ac, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0xa8e6ee9d, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0x9f3def6e, "");
SYMBOL_CRC(drm_framebuffer_remove, 0xed920495, "");
SYMBOL_CRC(drm_gem_object_init_with_mnt, 0xe7ef19e5, "");
SYMBOL_CRC(drm_gem_object_init, 0x8f5537ca, "");
SYMBOL_CRC(drm_gem_private_object_init, 0xa2a894e2, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0x83a633b7, "");
SYMBOL_CRC(drm_gem_handle_delete, 0x05ad24d5, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0x0e89a1cb, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0x78ffdc40, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0xbabe233f, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0x0da4695a, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0x516ca571, "");
SYMBOL_CRC(drm_gem_get_pages, 0x9a6ab8ad, "");
SYMBOL_CRC(drm_gem_put_pages, 0x514b6d0a, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0xeb45cb1d, "");
SYMBOL_CRC(drm_gem_object_lookup, 0xa90f5277, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0xb79d93eb, "");
SYMBOL_CRC(drm_gem_object_release, 0xc19d62e9, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0xae3b2623, "");
SYMBOL_CRC(drm_gem_vm_close, 0xcea758eb, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0x401d2ab6, "");
SYMBOL_CRC(drm_gem_mmap, 0xf810c22a, "");
SYMBOL_CRC(drm_gem_vmap, 0x6b0613d3, "");
SYMBOL_CRC(drm_gem_vunmap, 0xb32cf45d, "");
SYMBOL_CRC(drm_gem_lock, 0x7a20f2fc, "");
SYMBOL_CRC(drm_gem_unlock, 0x7b1e4201, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0x6af4c171, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0xd8d6ce44, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0xd28b86fd, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0x051e9b82, "");
SYMBOL_CRC(drm_gem_lru_init, 0x0ad7782d, "");
SYMBOL_CRC(drm_gem_lru_remove, 0x1d8c6353, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0x706049c3, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0x3f9ca485, "");
SYMBOL_CRC(drm_gem_lru_scan, 0x3e93683a, "");
SYMBOL_CRC(drm_gem_evict, 0x8d0f9286, "");
SYMBOL_CRC(drm_noop, 0xa8e0910c, "");
SYMBOL_CRC(drm_invalid_op, 0x31ca10a9, "");
SYMBOL_CRC(drm_ioctl_kernel, 0x42c03dca, "");
SYMBOL_CRC(drm_ioctl, 0x929c48fc, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0x16858825, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0x298e5b7c, "");
SYMBOL_CRC(drmm_release_action, 0x39135e19, "");
SYMBOL_CRC(drmm_kmalloc, 0x51aaccc8, "");
SYMBOL_CRC(drmm_kstrdup, 0x08985c1e, "_gpl");
SYMBOL_CRC(drmm_kfree, 0xff99ed3d, "");
SYMBOL_CRC(__drmm_mutex_release, 0x4112f9d7, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x1528d90c, "");
SYMBOL_CRC(drm_mode_config_reset, 0x0a22deff, "");
SYMBOL_CRC(drmm_mode_config_init, 0xcdb86df0, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0xf82699dc, "");
SYMBOL_CRC(drm_mode_object_add, 0x756e96c7, "");
SYMBOL_CRC(drm_mode_object_find, 0xd57cf847, "");
SYMBOL_CRC(drm_mode_object_put, 0xcb029ad0, "");
SYMBOL_CRC(drm_mode_object_get, 0x2e7fb4b9, "");
SYMBOL_CRC(drm_object_attach_property, 0x378cbba7, "");
SYMBOL_CRC(drm_object_property_set_value, 0x894f35a8, "");
SYMBOL_CRC(drm_object_property_get_value, 0x2a5cd231, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0x0c635b23, "");
SYMBOL_CRC(drm_mode_obj_find_prop_id, 0xbe6f1ce0, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0x3ed3ba45, "");
SYMBOL_CRC(drm_mode_destroy, 0x08268083, "");
SYMBOL_CRC(drm_mode_probed_add, 0x3702328f, "");
SYMBOL_CRC(drm_analog_tv_mode, 0xbe4ebfca, "");
SYMBOL_CRC(drm_cvt_mode, 0x068d0813, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0x27455e00, "");
SYMBOL_CRC(drm_gtf_mode, 0x3370aaa3, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0xc5930aea, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0xa8babc25, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0x8d6be7f2, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0xca1ae910, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0x44026f2b, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0x9c44603a, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0xf4f41753, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe7a9ecea, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xace169b3, "");
SYMBOL_CRC(drm_mode_is_420, 0x784d6883, "");
SYMBOL_CRC(drm_set_preferred_mode, 0x58ebb122, "");
SYMBOL_CRC(drm_modeset_lock_all, 0xb49fda49, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0xa1b5875a, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0x735eae54, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0x78aef538, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0x33aba4b4, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0xd37f49aa, "");
SYMBOL_CRC(drm_modeset_backoff, 0xa3fd998f, "");
SYMBOL_CRC(drm_modeset_lock_init, 0x4c81d150, "");
SYMBOL_CRC(drm_modeset_lock, 0xfdc0aed6, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0xd2ff5eff, "");
SYMBOL_CRC(drm_modeset_unlock, 0x7928eac0, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0xdb10ea5d, "");
SYMBOL_CRC(drm_universal_plane_init, 0x23bf29bd, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0xb85687ec, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0x846304cf, "");
SYMBOL_CRC(drm_plane_cleanup, 0x16e2f1b7, "");
SYMBOL_CRC(drm_plane_from_index, 0x7018d7cc, "");
SYMBOL_CRC(drm_plane_force_disable, 0xfb16b217, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0xd06a3d84, "");
SYMBOL_CRC(drm_plane_has_format, 0xeeb75f8d, "");
SYMBOL_CRC(drm_any_plane_has_format, 0x5fb02f65, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0x8824e89a, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0xb9422cb7, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0xe25bcaad, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0xa8aae750, "");
SYMBOL_CRC(drm_plane_add_size_hints_property, 0x86ef6100, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0xe0dbaa90, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0xa716fc59, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0x5492172f, "");
SYMBOL_CRC(drm_gem_prime_handle_to_dmabuf, 0xad8b9a4a, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0xe0b31994, "");
SYMBOL_CRC(drm_gem_map_attach, 0xbf78d4df, "");
SYMBOL_CRC(drm_gem_map_detach, 0x14e4b87e, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0x31c8b0cc, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0x54122cfb, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0xd96d98df, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0x8c98af8c, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0x78cddaa7, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0x1b3303ed, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0x8fb1b915, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0x9bbbed6d, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0x70a7dd25, "");
SYMBOL_CRC(drm_gem_prime_import, 0x77e70ebd, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0x56ccfdcd, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0x7c3fc8cb, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0xa542ecb6, "");
SYMBOL_CRC(__drm_printfn_coredump, 0xf19909be, "");
SYMBOL_CRC(__drm_puts_seq_file, 0xc20834bc, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0x50b67bbc, "");
SYMBOL_CRC(__drm_printfn_info, 0xd4a29529, "");
SYMBOL_CRC(__drm_printfn_dbg, 0x6063f063, "");
SYMBOL_CRC(__drm_printfn_err, 0x3b0429b5, "");
SYMBOL_CRC(__drm_printfn_line, 0xd5660acc, "");
SYMBOL_CRC(drm_puts, 0x1401b42f, "");
SYMBOL_CRC(drm_printf, 0x4a59a39a, "");
SYMBOL_CRC(drm_print_bits, 0x873bb918, "");
SYMBOL_CRC(drm_dev_printk, 0x6748b6c5, "");
SYMBOL_CRC(__drm_dev_dbg, 0x1bcb9054, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0xb9bae44f, "");
SYMBOL_CRC(drm_print_hex_dump, 0xe6a41d88, "");
SYMBOL_CRC(drm_property_create, 0x995b215e, "");
SYMBOL_CRC(drm_property_create_enum, 0x9817b91f, "");
SYMBOL_CRC(drm_property_create_bitmask, 0x06deaebf, "");
SYMBOL_CRC(drm_property_create_range, 0x691bf480, "");
SYMBOL_CRC(drm_property_create_signed_range, 0x3bc76464, "");
SYMBOL_CRC(drm_property_create_object, 0x51845ed8, "");
SYMBOL_CRC(drm_property_create_bool, 0x911616fd, "");
SYMBOL_CRC(drm_property_add_enum, 0x5165b042, "");
SYMBOL_CRC(drm_property_destroy, 0x3ba807ae, "");
SYMBOL_CRC(drm_property_create_blob, 0x038e8846, "");
SYMBOL_CRC(drm_property_blob_put, 0x2e9d6f8f, "");
SYMBOL_CRC(drm_property_blob_get, 0xcad7c695, "");
SYMBOL_CRC(drm_property_lookup_blob, 0xead29f2a, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0xffe102ed, "");
SYMBOL_CRC(drm_property_replace_blob, 0xcca06811, "");
SYMBOL_CRC(drm_property_replace_blob_from_id, 0x1276a764, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_syncobj_find, 0xcb72f200, "");
SYMBOL_CRC(drm_syncobj_add_point, 0x05868096, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0xb3c2d0d3, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0x5093e54d, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0x9f0de9fc, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0x1065edbf, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0xc8279c7d, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0x17126291, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0x862b615e, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0x33c23f26, "");
SYMBOL_CRC(drm_class_device_register, 0x2f7c599f, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0x6ec0958c, "_gpl");
SYMBOL_CRC(drm_crtc_vblank_crtc, 0x843a7681, "");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0x1d36f65e, "");
SYMBOL_CRC(drm_vblank_init, 0x73934c8f, "");
SYMBOL_CRC(drm_dev_has_vblank, 0x164d165d, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0x480072eb, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0x8a9c56b2, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0x3cf8fd62, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0xf47666fc, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0xfc34fd55, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0xf2b1e060, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0x05c47f4e, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0xeac07e5e, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0x07b62731, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0xd3ec8c7e, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0x9aa12cc6, "");
SYMBOL_CRC(drm_wait_one_vblank, 0xd980f1d0, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0x3df86d6c, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0xb4befb31, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0xb3dcd807, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0x68515b33, "");
SYMBOL_CRC(drm_crtc_vblank_on_config, 0xddcbef97, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0x46ddba75, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0xc4609d3a, "");
SYMBOL_CRC(drm_handle_vblank, 0xf912e5f0, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0xb93f44ce, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0xac6f9e47, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0xaac44d02, "");
SYMBOL_CRC(drm_vblank_work_flush, 0x98169f7b, "");
SYMBOL_CRC(drm_vblank_work_flush_all, 0x168268a8, "");
SYMBOL_CRC(drm_vblank_work_init, 0x0776346e, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0xb4fe0501, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0x3cb803c8, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0x7d9b3370, "");
SYMBOL_CRC(drm_vma_offset_add, 0xa7ff050f, "");
SYMBOL_CRC(drm_vma_offset_remove, 0x8cd1f61b, "");
SYMBOL_CRC(drm_vma_node_allow, 0xf092af45, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0x3a0f8fe6, "");
SYMBOL_CRC(drm_vma_node_revoke, 0xa5ec2523, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0x682fbda3, "");
SYMBOL_CRC(drm_writeback_connector_init, 0xa8027b67, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0xf3ea6a27, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0xc0c6ea2c, "");
SYMBOL_CRC(drm_writeback_queue_job, 0xfb629572, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0xf0fc7b64, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0x4cdf4c7e, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0x2d1ae335, "");
SYMBOL_CRC(drm_client_init, 0x0497df1e, "");
SYMBOL_CRC(drm_client_register, 0x2556e28f, "");
SYMBOL_CRC(drm_client_release, 0xe4e043ab, "");
SYMBOL_CRC(drm_client_buffer_vmap_local, 0x2824427d, "");
SYMBOL_CRC(drm_client_buffer_vunmap_local, 0x9d0793e9, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0x585959a4, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0x53d14ef7, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0x4b3cd164, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0xebfae296, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0x1f5610af, "");
SYMBOL_CRC(drm_client_dev_unregister, 0x2b18fdc3, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0x68494d6e, "");
SYMBOL_CRC(drm_client_dev_suspend, 0xc0342aa3, "");
SYMBOL_CRC(drm_client_dev_resume, 0x3ffe9a3e, "");
SYMBOL_CRC(drm_client_modeset_probe, 0xfe85f9d0, "");
SYMBOL_CRC(drm_client_rotation, 0xfafca4a5, "");
SYMBOL_CRC(drm_client_modeset_check, 0x480e29eb, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0x9f2ca668, "");
SYMBOL_CRC(drm_client_modeset_commit, 0x5df2d6a7, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0x02adf679, "");
SYMBOL_CRC(drm_prandom_u32_max_state, 0xd392c35c, "");
SYMBOL_CRC(drm_random_reorder, 0x1ce755b6, "");
SYMBOL_CRC(drm_random_order, 0xd5164270, "");
SYMBOL_CRC(drm_panel_init, 0xecca4806, "");
SYMBOL_CRC(drm_panel_add, 0x6d022508, "");
SYMBOL_CRC(drm_panel_remove, 0xf7766388, "");
SYMBOL_CRC(drm_panel_prepare, 0x343345aa, "");
SYMBOL_CRC(drm_panel_unprepare, 0x9d23ea13, "");
SYMBOL_CRC(drm_panel_enable, 0xaf17944c, "");
SYMBOL_CRC(drm_panel_disable, 0x1b3ade5a, "");
SYMBOL_CRC(drm_panel_get_modes, 0x69aaf91e, "");
SYMBOL_CRC(drm_is_panel_follower, 0x30c6583b, "");
SYMBOL_CRC(drm_panel_add_follower, 0xe29c774e, "");
SYMBOL_CRC(drm_panel_remove_follower, 0x956478fd, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0xa90418c8, "");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0x0616e292, "");
SYMBOL_CRC(drm_debugfs_create_files, 0xf9cc574d, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0xf6905c01, "");
SYMBOL_CRC(drm_debugfs_add_file, 0x3dccad32, "");
SYMBOL_CRC(drm_debugfs_add_files, 0x3d1bb54d, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0xc4d24a07, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xacfb26e0, "try_module_get" },
	{ 0xe68df9bb, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x96b0eb4c, "ww_mutex_lock_interruptible" },
	{ 0x4dd12f7f, "vmemmap" },
	{ 0xf3c67f42, "alloc_anon_inode" },
	{ 0xdbdcd78e, "show_class_attr_string" },
	{ 0x8e93191d, "kthread_cancel_work_sync" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc49a6022, "kthread_flush_work" },
	{ 0x9ff08174, "bpf_trace_run4" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x3761d215, "idr_find" },
	{ 0xd88ecf5c, "param_ops_ulong" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x4649b19c, "shmem_read_folio_gfp" },
	{ 0x7be1be88, "__folio_batch_release" },
	{ 0x8b549308, "dev_set_name" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbb0b36d4, "seq_buf_printf" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x3bf91973, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x60e9aa25, "dma_resv_init" },
	{ 0x43a4938f, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x6c914e79, "dma_resv_wait_timeout" },
	{ 0x2dcbfe42, "device_unregister" },
	{ 0xf5db5c66, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8b618d08, "overflowuid" },
	{ 0xab2e4c54, "__trace_trigger_soft_disabled" },
	{ 0xcb218f19, "kthread_flush_worker" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x8bded20f, "zpci_load" },
	{ 0xce2aaf3, "class_destroy" },
	{ 0xa59b5f9c, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0x634271f2, "ww_mutex_unlock" },
	{ 0x33790864, "device_initialize" },
	{ 0x33853b4e, "__kmalloc_node_track_caller_noprof" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0xfd1bcba1, "fd_install" },
	{ 0x5031b485, "dma_fence_chain_ops" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x98dc77b9, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0xef00fbec, "component_del" },
	{ 0x51b5b9d2, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xd0192517, "iput" },
	{ 0x839a730c, "seq_lseek" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x27af9e31, "dma_buf_unmap_attachment_unlocked" },
	{ 0xd209e848, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x84872f7a, "dma_fence_add_callback" },
	{ 0x8ee234ec, "synchronize_srcu" },
	{ 0x554b16f9, "dma_fence_set_deadline" },
	{ 0x985881b9, "get_device" },
	{ 0xf9378b1d, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xfce7857e, "class_create_file_ns" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x6b83f3, "wake_up_process" },
	{ 0x8303dfda, "dev_driver_string" },
	{ 0x64ab6550, "dma_buf_map_attachment_unlocked" },
	{ 0x29734170, "trace_event_buffer_commit" },
	{ 0x5d19f8c4, "pci_domain_nr" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xdafb1e37, "ww_mutex_trylock" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xacc0355c, "__tracepoint_sched_set_state_tp" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xe918a103, "dma_max_mapping_size" },
	{ 0xba2e1063, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x8dcb1447, "dma_buf_export" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xbd25462c, "kthread_queue_work" },
	{ 0xe5a56ecd, "idr_get_next" },
	{ 0x5e0f6089, "dma_fence_remove_callback" },
	{ 0xb12eb824, "_dev_info" },
	{ 0x8f4279fd, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf06482e0, "atomic_dec_and_mutex_lock" },
	{ 0x1f575580, "module_put" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x9c38ef4, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x405c515f, "dmem_cgroup_unregister_region" },
	{ 0x2a23be62, "dma_fence_chain_walk" },
	{ 0x60b42dbc, "debugfs_lookup" },
	{ 0x96ddf5b7, "__task_pid_nr_ns" },
	{ 0x5adf7c70, "kobject_uevent_env" },
	{ 0xa0d3d560, "ksize" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0x3b87c1e0, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1e9c5bab, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xa9073364, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xc7affca3, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x457ed571, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x6ccc34dd, "sort" },
	{ 0x3b7d6884, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x66e2cee4, "device_add" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x831bbad4, "sysfs_remove_link" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x8fd5f0a6, "pid_task" },
	{ 0xb1cdea85, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x38b5b9ac, "platform_device_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x156c33d4, "noop_llseek" },
	{ 0x86bbbfa2, "dma_fence_signal" },
	{ 0x5254a7ac, "folio_mark_accessed" },
	{ 0x4dcbaf12, "dma_resv_fini" },
	{ 0xa84e6235, "class_create" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xb82db6d5, "dma_buf_get" },
	{ 0xa331c29b, "debugfs_remove" },
	{ 0x85abc85f, "strncmp" },
	{ 0x51725dac, "seq_putc" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x2754f625, "ww_mutex_lock" },
	{ 0x887773b0, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xb511213f, "dma_buf_put" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x66987888, "dma_fence_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xb93a6a2e, "zpci_write_block" },
	{ 0x11089ac7, "_ctype" },
	{ 0x1b6c3277, "device_register" },
	{ 0x8f067921, "device_del" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0xfe9d8927, "sg_alloc_table_from_pages_segment" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xc13c80a2, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x6108288f, "complete_all" },
	{ 0xa05d1db7, "kthread_create_worker_on_node" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x7242e96d, "strnchr" },
	{ 0xe798236d, "jiffies" },
	{ 0x5746c620, "init_pseudo" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xeea8b38a, "check_move_unevictable_folios" },
	{ 0x62a51ced, "bpf_trace_run3" },
	{ 0x391f8307, "seq_read" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0x88e52cdb, "idr_for_each" },
	{ 0x7230beea, "fdget" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x9432d220, "trace_event_buffer_reserve" },
	{ 0xe9f92a55, "dma_map_sgtable" },
	{ 0x45dd9416, "kthread_destroy_worker" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x5bbadee5, "__dma_fence_unwrap_merge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x7cac7902, "hdmi_infoframe_pack" },
	{ 0x45d3c773, "memdup_user_nul" },
	{ 0x24de0dcb, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x584e2dc0, "__register_chrdev" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x9ccf54c9, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xde1371ce, "radix_tree_tagged" },
	{ 0xa06c1497, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1879a748, "seq_printf" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe3a2fed2, "dmem_cgroup_register_region" },
	{ 0x626886bd, "__srcu_read_unlock" },
	{ 0xfbcc01ad, "debugfs_create_file_full" },
	{ 0x91912667, "i2c_transfer" },
	{ 0x8763ec5, "dma_fence_allocate_private_stub" },
	{ 0xdc2a149a, "dma_buf_detach" },
	{ 0x261c30c5, "dma_fence_signal_timestamp" },
	{ 0x402aaf5d, "dma_fence_chain_init" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xfb83c659, "single_release" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xfa937ed7, "pid_vnr" },
	{ 0x236e9a6f, "sched_set_fifo" },
	{ 0x313a5a65, "simple_release_fs" },
	{ 0x448d142e, "dev_err_probe" },
	{ 0xa9766835, "dma_unmap_sg_attrs" },
	{ 0xbe04664b, "__seq_puts" },
	{ 0xd34a8ae6, "kill_anon_super" },
	{ 0xd03e5eda, "from_kuid_munged" },
	{ 0xcf13d958, "__devm_add_action" },
	{ 0x3be24b27, "component_add" },
	{ 0x9c4a20d3, "dma_resv_test_signaled" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xc0be8f3b, "shmem_file_setup_with_mnt" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x77358855, "iomem_resource" },
	{ 0x45f0d192, "dma_fence_chain_find_seqno" },
	{ 0x73f9b65b, "param_ops_int" },
	{ 0xd4b7a437, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf5f10bc0, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x826ecde7, "debugfs_create_dir" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x526975eb, "sync_file_get_fence" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xbf08a4c3, "put_pid" },
	{ 0xaba9abd1, "__dev_fwnode" },
	{ 0x1917f330, "pci_bus_type" },
	{ 0x43897f0e, "kmalloc_caches" },
	{ 0x8a7fed67, "class_remove_file_ns" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xb42b981d, "simple_pin_fs" },
	{ 0x4944e6d3, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "drm_panel_orientation_quirks,i2c-core");


MODULE_INFO(srcversion, "C1E71E0A371BE23C54A2E31");
MODULE_INFO(rhelversion, "10.1");
