#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nlmclnt_init, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_done, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_rpc_clnt, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_proc, "_gpl", "");
KSYMTAB_DATA(nlmsvc_ops, "_gpl", "");
KSYMTAB_FUNC(lockd_up, "_gpl", "");
KSYMTAB_FUNC(lockd_down, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_sb, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_ip, "_gpl", "");

SYMBOL_CRC(nlmclnt_init, 0x5edb5c63, "_gpl");
SYMBOL_CRC(nlmclnt_done, 0xedb34e90, "_gpl");
SYMBOL_CRC(nlmclnt_rpc_clnt, 0x28072ea1, "_gpl");
SYMBOL_CRC(nlmclnt_proc, 0xfea6a777, "_gpl");
SYMBOL_CRC(nlmsvc_ops, 0x26fca366, "_gpl");
SYMBOL_CRC(lockd_up, 0xe6cc7f18, "_gpl");
SYMBOL_CRC(lockd_down, 0x4f998f23, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_sb, 0x6102e728, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_ip, 0x9cbde0a0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7340dbff, "rpc_put_task" },
	{ 0x87ecd44b, "svc_generic_rpcbind_set" },
	{ 0xa85ed120, "svc_wake_up" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x9ff08174, "bpf_trace_run4" },
	{ 0xe2074243, "param_ops_uint" },
	{ 0xbda12dbc, "rpc_shutdown_client" },
	{ 0xdd4bf5a0, "svc_bind" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x3f079085, "proc_create" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xdfef257a, "svc_recv" },
	{ 0x98de1c15, "snprintf" },
	{ 0x1f0aa692, "xdr_inline_decode" },
	{ 0x3bf91973, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x1fe1e1ad, "locks_end_grace" },
	{ 0xab2e4c54, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xa59b5f9c, "trace_event_printf" },
	{ 0x67e2272e, "refcount_dec_and_mutex_lock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x8a7fd147, "genlmsg_put" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x98dc77b9, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3f4e8973, "simple_transaction_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x9cc2b5c9, "vfs_test_lock" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x49254773, "svc_exit_thread" },
	{ 0x62aa0b9, "rpc_ntop" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x9dd52d05, "param_get_ulong" },
	{ 0x58427d5b, "rpc_run_task" },
	{ 0x37297fae, "__put_cred" },
	{ 0xe34d243b, "register_pernet_subsys" },
	{ 0x57f6f7ed, "locks_in_grace" },
	{ 0x6b83f3, "wake_up_process" },
	{ 0x29734170, "trace_event_buffer_commit" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xa2dc9935, "proc_dobool" },
	{ 0xe73caaec, "locks_lock_inode_wait" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8963e204, "unregister_sysctl_table" },
	{ 0x4cddbaa8, "locks_release_private" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x254c731e, "__alloc_skb" },
	{ 0xae9809a5, "locks_init_lock" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x933da733, "simple_transaction_release" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x593826ac, "svc_xprt_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x92170bd1, "svc_age_temp_xprts_now" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xa9073364, "perf_trace_run_bpf_submit" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x2293f6fc, "init_net" },
	{ 0xd2510a63, "up_write" },
	{ 0x73d136e9, "svc_set_num_threads" },
	{ 0x2afbf58e, "svc_rpcb_cleanup" },
	{ 0x4dea1053, "memchr" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x86739787, "sk_skb_reason_drop" },
	{ 0x1c39b567, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x1e4de76b, "vfs_cancel_lock" },
	{ 0xff182e8, "nla_put" },
	{ 0x456b616, "proc_doulongvec_minmax" },
	{ 0x887773b0, "trace_event_reg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x53445f68, "nlm_debug" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xe0e5079b, "freezing_slow_path" },
	{ 0xf7feadf1, "rpc_create" },
	{ 0xb34cf279, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xc1855e97, "rpc_call_start" },
	{ 0xe188d8bd, "svc_create" },
	{ 0xb3ea38a, "default_llseek" },
	{ 0x23ed2e31, "rpc_call_sync" },
	{ 0xbfd9094c, "proc_mkdir" },
	{ 0xdde2a9b2, "unregister_pernet_subsys" },
	{ 0x9bd0c00e, "register_sysctl_sz" },
	{ 0x8c4aa772, "vfs_lock_file" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xf15669f4, "rpc_delay" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x36ce7616, "svc_generic_init_request" },
	{ 0x103bafd6, "down_read" },
	{ 0xfbcd28eb, "svc_set_client" },
	{ 0x5196c8c, "xdr_reserve_space" },
	{ 0xe798236d, "jiffies" },
	{ 0x9b58f1c1, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe782b0dc, "rpc_force_rebind" },
	{ 0x9432d220, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9675a463, "param_ops_bool" },
	{ 0x8de2bd8, "rpc_restart_call" },
	{ 0x7d0eb906, "svc_xprt_destroy_all" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0xda38255, "remove_proc_entry" },
	{ 0xa06c1497, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd0da635b, "svc_find_xprt" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x74a6214c, "proc_dointvec" },
	{ 0xa5a71e23, "svc_print_addr" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x5d7edee8, "genl_unregister_family" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x61d8cc0f, "locks_delete_block" },
	{ 0x18ea7496, "locks_start_grace" },
	{ 0xd88dbbf4, "refcount_dec_and_lock" },
	{ 0x5e3cf2e, "param_get_int" },
	{ 0xe4a53ba6, "genl_register_family" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0x13cdd74b, "svc_xprt_create" },
	{ 0x7908e9d6, "rpc_wait_for_completion_task" },
	{ 0x43897f0e, "kmalloc_caches" },
	{ 0xf817e80e, "locks_copy_lock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x664846e8, "proc_dointvec_minmax" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,grace");


MODULE_INFO(srcversion, "7F534AE9D10A8E44A625F42");
MODULE_INFO(rhelversion, "10.1");
