#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x7e2b1d77, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0xf64a8cc1, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x6e67a670, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0xcfc18e97, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x2877c5a0, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0xb9b20147, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0xe7ce30d4, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x758c18a1, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x39087043, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x6ef324a5, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x345d77fd, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0xd79a851e, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0xc3331772, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x62051274, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x0a311a67, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0xd731154a, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0x802046c5, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x4ebf2fd6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xc7a9d954, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0xd47333c2, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0x15dbaceb, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x533c198f, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x02da1276, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0xcc0f1de2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x5a4314e9, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x1d57c82c, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x43d2648b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xba53a1ef, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x0d381e90, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0xc4584bf2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x0ff289f3, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x8be24f50, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x1e5789c0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x7cd013a8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0xdd342fa8, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0xfc08929a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x7a4e7f4e, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x6e637af7, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0xd3748e40, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x27ad47ea, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0x555bb1db, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0xe422cf36, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x579126b8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x0bd06bd1, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x90acc77c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xdf6991a4, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x18b41178, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x2b7c2da8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x785c06ab, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x2f1e21ba, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x1ac91016, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x30a44ac3, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x2174b794, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0xdff5d868, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x08b2c467, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x39d8a50e, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0x772aa91b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0x02884be0, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0x0ea40716, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0x6173b411, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0x90c878c7, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0x13776549, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0xc9bd883a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0x94384f04, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x6bec9822, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0x0169c30a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0x33759ebd, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0xb4284c9b, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0x83224367, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0x8f78a275, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x64a0acb8, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x7ce70c9b, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x5cc2446d, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x18d0b76b, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0x7477c96c, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0x0f9ebd54, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0xcf595079, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0xdffbc1ee, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0xf61c8610, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x7f1a176d, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x3beff0f9, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0xdf3f353e, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x2c1d7afc, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0xb3b59ac0, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x9f849177, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x0a6d26aa, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x64275f70, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x4d647cf0, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0xaec8ac5c, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x1e0f862b, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0xac71e03f, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x4e802316, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0x7b47e0ab, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0x32fbf2a2, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0xd9a2713e, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0x97fde4a4, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x843eb6ee, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x8851abfa, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0xe269da4b, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0xefab4e6f, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0xaa3dcee7, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0xe8b3a7e9, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x8c16509c, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0xa66e31a0, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x1dc5ea87, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0x0d1162ee, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x3c2be15c, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0xa869af70, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x09718baa, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x6e2b0407, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0xe3a7147c, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0x613413be, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0xfbb35603, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x48fcf4ac, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0xc7dd3d9d, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x78bbd3ae, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0x1ee3e208, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x47aa3b5f, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0xc476e3a0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7340dbff, "rpc_put_task" },
	{ 0x21955cf8, "nfs4_stat_to_errno" },
	{ 0x87ecd44b, "svc_generic_rpcbind_set" },
	{ 0x1f1df841, "nfs_clone_server" },
	{ 0xae8da73a, "nfs_access_add_cache" },
	{ 0x987c4165, "filemap_fdatawrite" },
	{ 0x2862e54d, "nfs_show_stats" },
	{ 0x43e79e4, "nfs_server_remove_lists" },
	{ 0x74f7c601, "shrinker_alloc" },
	{ 0x57072096, "nfs42_ssc_unregister" },
	{ 0x1b373292, "generic_listxattr" },
	{ 0xacfb26e0, "try_module_get" },
	{ 0x25e069ab, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x4dd12f7f, "vmemmap" },
	{ 0x1be37cde, "nfs_writeback_update_inode" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa7bc6f3e, "clear_inode" },
	{ 0x63aadd71, "inode_to_bdi" },
	{ 0x9ff08174, "bpf_trace_run4" },
	{ 0x3a62a0a5, "user_destroy" },
	{ 0x3761d215, "idr_find" },
	{ 0xe2074243, "param_ops_uint" },
	{ 0xd9cccfbe, "user_revoke" },
	{ 0x1df268a9, "d_exact_alias" },
	{ 0x8d9462e0, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x67fdf60, "nfs_mark_client_ready" },
	{ 0x2fd9d007, "rpc_clnt_probe_trunked_xprts" },
	{ 0xa80a2d2, "nfs_pageio_reset_read_mds" },
	{ 0xcb9134c8, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0xbda12dbc, "rpc_shutdown_client" },
	{ 0xdd4bf5a0, "svc_bind" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x31973649, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0x7f47b697, "nfs_free_inode" },
	{ 0x31797233, "nfs_access_zap_cache" },
	{ 0xb1c9d20a, "nfs_sb_deactive" },
	{ 0x8d78003f, "nfs_wb_all" },
	{ 0xd04ee77, "__break_lease" },
	{ 0xfe5e0a58, "nfs_pageio_init_write" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xdfef257a, "svc_recv" },
	{ 0x420b1ac8, "nfs_drop_inode" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0x1f0aa692, "xdr_inline_decode" },
	{ 0x786a90a0, "nfs_pageio_init_read" },
	{ 0x3bf91973, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xf8ac90ac, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xd5916ccb, "nfs_init_commit" },
	{ 0xff62f82, "nfs_commitdata_release" },
	{ 0x3bdb8612, "bpf_trace_run6" },
	{ 0x30fe4daa, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0xef84a77e, "rpc_net_ns" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xab2e4c54, "__trace_trigger_soft_disabled" },
	{ 0x59808d03, "nfs_mknod" },
	{ 0x7c3da184, "nfs_inode_attach_open_context" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x55f286f5, "nfs4_label_alloc" },
	{ 0x8b86f680, "rpc_localaddr" },
	{ 0x64d74e24, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0xa59b5f9c, "trace_event_printf" },
	{ 0xf95d5c76, "nfs_access_get_cached" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0x5e862498, "nfs_lock" },
	{ 0x1eb78b9c, "unregister_key_type" },
	{ 0xaf9e19cb, "nfs_client_init_is_complete" },
	{ 0x554e1376, "nfs_file_splice_read" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2d7be040, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x98dc77b9, "trace_event_raw_init" },
	{ 0x95a49194, "user_preparse" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x83dee021, "ihold" },
	{ 0x3fc63f9b, "truncate_pagecache_range" },
	{ 0xd98f29e4, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x905e957c, "invalidate_inode_pages2_range" },
	{ 0x6b68e210, "nfs_post_op_update_inode" },
	{ 0x49254773, "svc_exit_thread" },
	{ 0xd0192517, "iput" },
	{ 0x78eecf5, "xdr_set_pagelen" },
	{ 0x72260127, "nfs_pgio_header_free" },
	{ 0x98dfcad1, "nfs_request_add_commit_list_locked" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x363a28c6, "logfc" },
	{ 0x84ff9cde, "nfs_pgio_header_alloc" },
	{ 0xc71157bb, "iter_file_splice_write" },
	{ 0x6b80efa, "rpc_pton" },
	{ 0x17002331, "nfs_sb_active" },
	{ 0xe64942fd, "mod_node_page_state" },
	{ 0x62aa0b9, "rpc_ntop" },
	{ 0x531de9e9, "rpc_wake_up_queued_task" },
	{ 0x5ddefb88, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x34e5d0f3, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0x2cb6764a, "rpc_restart_call_prepare" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x980965c0, "_copy_from_pages" },
	{ 0x390ad215, "__module_get" },
	{ 0x50cba108, "rpc_task_release_transport" },
	{ 0xb72f5fa7, "xdr_page_pos" },
	{ 0x830ce60b, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x76011504, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x104dc5e7, "key_instantiate_and_link" },
	{ 0x2330ceef, "trace_print_hex_seq" },
	{ 0x4dda726b, "match_strlcpy" },
	{ 0x1ebf1e0e, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xccf19bea, "register_key_type" },
	{ 0x4d28cf80, "rpc_sleep_on" },
	{ 0x58427d5b, "rpc_run_task" },
	{ 0x77bfafa9, "nfs_pageio_resend" },
	{ 0x4b793e7, "keyring_alloc" },
	{ 0xae2cc0c3, "vfs_setpos" },
	{ 0xde9108d3, "nfs_create" },
	{ 0x7088f184, "complete_request_key" },
	{ 0x37297fae, "__put_cred" },
	{ 0xc4358858, "nfs_update_delegated_mtime" },
	{ 0x3ef66dff, "nfs_statfs" },
	{ 0x6b83f3, "wake_up_process" },
	{ 0x2bb615d2, "shrinker_free" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x56b5b28a, "splice_file_range" },
	{ 0x3b37b2d3, "rpc_max_bc_payload" },
	{ 0x29734170, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x3767076e, "nfs_local_probe_async" },
	{ 0x2d704038, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0xe73caaec, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x478e5e54, "nfs_mkdir" },
	{ 0x75b5a9ea, "nfs_revalidate_inode" },
	{ 0x7cbfc54, "inode_newsize_ok" },
	{ 0xa439f274, "nfs_file_mmap" },
	{ 0xf45e1891, "nfs_get_lock_context" },
	{ 0xfcaa1c2d, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0x88adfaf9, "nfs_set_cache_invalid" },
	{ 0x95c59d82, "rpc_release_client" },
	{ 0x14e9b9fc, "rpc_clnt_manage_trunked_xprts" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5e41330b, "xdr_enter_page" },
	{ 0xacc0355c, "__tracepoint_sched_set_state_tp" },
	{ 0xcfe85bd5, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x8963e204, "unregister_sysctl_table" },
	{ 0x3c86b12b, "nfs_generic_pgio" },
	{ 0xf8f8b538, "make_kuid" },
	{ 0x24b0ec90, "truncate_inode_pages_final" },
	{ 0xa14b9f46, "generic_setlease" },
	{ 0x959a6459, "__kmalloc_large_noprof" },
	{ 0xc0ff16f9, "xprt_destroy_backchannel" },
	{ 0xe0aa4718, "rpc_switch_client_transport" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x2db126e8, "nfs_scan_commit_list" },
	{ 0x8947a7ec, "xdr_stream_decode_string_dup" },
	{ 0xb2210e64, "nfs_commit_inode" },
	{ 0xffc812a2, "shrinker_register" },
	{ 0xae9809a5, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0xa1f2b1bc, "rpc_destroy_pipe_data" },
	{ 0x401e98e, "nfs_get_client" },
	{ 0x554bf13, "__free_pages" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xc25243e7, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x89b45b49, "nfs_atomic_open" },
	{ 0x5fab7519, "rpc_pipe_generic_upcall" },
	{ 0xbc4e11b2, "nfs_file_fsync" },
	{ 0x1f575580, "module_put" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xf68ec5a3, "mntput" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x6db7446a, "nfs_put_lock_context" },
	{ 0x770a9b26, "nfs_rename" },
	{ 0x235002c0, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x8d1648d5, "nfs_sysfs_link_rpc_client" },
	{ 0xc275fb43, "nfs_put_client" },
	{ 0x5ea31004, "arch_spin_trylock_retry" },
	{ 0xcfabef79, "nfs_show_options" },
	{ 0x6c85d0ab, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x129f892f, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x1d41e5e1, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x391a9fa9, "get_nfs_open_context" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xa9073364, "perf_trace_run_bpf_submit" },
	{ 0x30d62c47, "nfs_clear_verifier_delegated" },
	{ 0xe3b7babd, "nfs_sysfs_add_server" },
	{ 0xc7affca3, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xaea57553, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0xf25ee53c, "nfs_do_submount" },
	{ 0x5e9146a6, "vfs_dup_fs_context" },
	{ 0xd2510a63, "up_write" },
	{ 0x6ccc34dd, "sort" },
	{ 0x61e8ec2, "request_key_with_auxdata" },
	{ 0xaeb26cac, "rpc_clone_client_set_auth" },
	{ 0xb323dd30, "rpc_clone_client" },
	{ 0x73d136e9, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x7dd04f54, "nfs_client_init_status" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x2afbf58e, "svc_rpcb_cleanup" },
	{ 0x4dea1053, "memchr" },
	{ 0xc6f0a84, "user_describe" },
	{ 0x7ee69685, "put_fs_context" },
	{ 0xb6a2c9b6, "nfs_retry_commit" },
	{ 0x2aea732f, "nfs4_dentry_operations" },
	{ 0x1eca413e, "__module_put_and_kthread_exit" },
	{ 0xed26bde, "rpc_peeraddr2str" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0xb0585f29, "nfs_client_for_each_server" },
	{ 0x2da57ff, "nfs_clear_inode" },
	{ 0xb9b9c551, "rpc_sleep_on_priority" },
	{ 0x2d774452, "nfs_invalidate_atime" },
	{ 0x7a273c07, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0xffa0c7a0, "nfs_umount_begin" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x44a977ab, "nfs_getattr" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x7e0d639d, "nfs_pageio_reset_write_mds" },
	{ 0x70e3561, "kmem_cache_free" },
	{ 0x7effc2c7, "nfs_generic_pg_test" },
	{ 0x85abc85f, "strncmp" },
	{ 0xa28f4af1, "xdr_stream_subsegment" },
	{ 0x17817790, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xac17871b, "nfs_fscache_open_file" },
	{ 0x63dfe264, "from_kgid" },
	{ 0x887773b0, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x561e0b9e, "nfs_write_inode" },
	{ 0xf5300b88, "nfs_request_remove_commit_list" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0x678bb31a, "rpc_wake_up_first" },
	{ 0x3422e1aa, "alloc_nfs_open_context" },
	{ 0xe289e845, "list_lru_add_obj" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x79f6d058, "vfs_parse_fs_param" },
	{ 0x76835213, "nfs_path" },
	{ 0x98c2102f, "rpc_sleep_on_priority_timeout" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x5e070cdd, "nfs_create_rpc_client" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe38ff561, "register_nfs_version" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xf751064a, "rpc_sleep_on_timeout" },
	{ 0xdb819aae, "list_lru_count_one" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xb34cf279, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xc1855e97, "rpc_call_start" },
	{ 0xd7766b34, "xprt_setup_backchannel" },
	{ 0x141dea80, "bpf_trace_run1" },
	{ 0xe188d8bd, "svc_create" },
	{ 0x7383a1a5, "rpc_clnt_iterate_for_each_xprt" },
	{ 0xb39cb6dd, "nfs_file_set_open_context" },
	{ 0x14393e5d, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x23ed2e31, "rpc_call_sync" },
	{ 0xeb74b8ac, "from_kuid" },
	{ 0xefad2fab, "rpc_put_task_async" },
	{ 0x7a88401, "rpc_prepare_reply_pages" },
	{ 0x35c6fc3, "rpc_queue_upcall" },
	{ 0x37940dcf, "nfs_free_server" },
	{ 0x85ba719, "fc_mount" },
	{ 0x9bd0c00e, "register_sysctl_sz" },
	{ 0xd7219f51, "nfs_setattr" },
	{ 0x197a397c, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x7f0cf58e, "nfs4_fs_type" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xb0c1153, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xf15669f4, "rpc_delay" },
	{ 0xcb1a3b25, "nfs_flock" },
	{ 0x46e62075, "__list_lru_init" },
	{ 0x79b045b6, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x36ce7616, "svc_generic_init_request" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0x8f042877, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x63af4982, "rpc_exit" },
	{ 0x725452ae, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x5c131701, "__kmem_cache_create_args" },
	{ 0xd999dbe7, "rpc_remove_pipe_dir_object" },
	{ 0x99e63fc1, "nfs_may_open" },
	{ 0xaf5a2906, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x93831d94, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0x103bafd6, "down_read" },
	{ 0x5196c8c, "xdr_reserve_space" },
	{ 0x6efbe358, "rpcauth_lookupcred" },
	{ 0xe798236d, "jiffies" },
	{ 0x9b58f1c1, "kthread_create_on_node" },
	{ 0xd5127d6a, "list_lru_isolate" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xac80f396, "nfs_rmdir" },
	{ 0x62a51ced, "bpf_trace_run3" },
	{ 0xa143df1, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x8574bb03, "trace_print_flags_seq" },
	{ 0x2042c36e, "nfs_filemap_write_and_wait_range" },
	{ 0xabac3e61, "rpc_mkpipe_dentry" },
	{ 0xda6815b, "alloc_file_pseudo" },
	{ 0x6c8161dc, "rpc_mkpipe_data" },
	{ 0xcde0ce90, "rpc_add_pipe_dir_object" },
	{ 0xe31b8104, "igrab" },
	{ 0x2f14c887, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2737de59, "nfs_async_iocounter_wait" },
	{ 0x8262e1cc, "nfs_file_read" },
	{ 0x9432d220, "trace_event_buffer_reserve" },
	{ 0xd84ac8db, "nfs_alloc_fattr_with_label" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xbb5636d5, "filemap_fdatawait_range" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0x73c3cb4e, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb430e1ad, "nfs_setattr_update_inode" },
	{ 0xbe4f9528, "nfs_instantiate" },
	{ 0x8de96939, "init_user_ns" },
	{ 0xda12b5da, "rpc_uaddr2sockaddr" },
	{ 0x1e397f36, "user_read" },
	{ 0x8de2bd8, "rpc_restart_call" },
	{ 0x5cdc05bb, "request_key_tag" },
	{ 0xf8d9e579, "xprt_force_disconnect" },
	{ 0x45c04efa, "user_free_preparse" },
	{ 0x2466aace, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x7d0eb906, "svc_xprt_destroy_all" },
	{ 0x6c2a2b83, "generic_key_instantiate" },
	{ 0xeb287fee, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x481ade7b, "nfs_link" },
	{ 0x71f13c2d, "__folio_put" },
	{ 0xa06c1497, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x2af148fb, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0xb895c617, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3b5f1ef4, "dput" },
	{ 0x92a16af7, "lockref_get" },
	{ 0x74db064d, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaedbda14, "xdr_stream_move_subsegment" },
	{ 0x452e4ea8, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0xb314f5d7, "nfs_post_op_update_inode_force_wcc" },
	{ 0x6493dcc2, "nfs_pgheader_init" },
	{ 0x772f310, "put_nfs_open_context" },
	{ 0x9e87ad89, "nfs_show_path" },
	{ 0x910839ef, "nfs_show_devname" },
	{ 0x1678ae83, "nfs_permission" },
	{ 0xbdcd2c5e, "nfs_initiate_commit" },
	{ 0xbb7a7ca6, "truncate_inode_pages_range" },
	{ 0x76a7c652, "__put_user_ns" },
	{ 0xd9a6d66b, "alloc_pages_noprof" },
	{ 0xdd9e6e2d, "cred_fscmp" },
	{ 0x8b4d81b8, "rpc_unlink" },
	{ 0xa90945b4, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x74a6214c, "proc_dointvec" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x8b7a05ff, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0xcaf2bbf2, "node_data" },
	{ 0x26923036, "nfs_probe_server" },
	{ 0xf7ad79de, "nfs_setsecurity" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xb9201718, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x49cd91c6, "rpc_clnt_test_and_add_xprt" },
	{ 0x2df89ad5, "file_ra_state_init" },
	{ 0xe15d911a, "nfs_force_lookup_revalidate" },
	{ 0x18647cea, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xcbec0c60, "rpc_clnt_add_xprt" },
	{ 0x349b5bb2, "dget_parent" },
	{ 0xd03e5eda, "from_kuid_munged" },
	{ 0x131d299e, "prepare_kernel_cred" },
	{ 0x2d51842b, "nfs_alloc_server" },
	{ 0xfb1696fa, "rpc_call_async" },
	{ 0xfb246da8, "security_dentry_init_security" },
	{ 0x78117b6c, "filemap_write_and_wait_range" },
	{ 0x48764d74, "list_lru_del_obj" },
	{ 0xabc857c1, "nfs_server_insert_lists" },
	{ 0x9bc1236e, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x9b3f1bab, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xd27956d3, "rpc_init_pipe_dir_object" },
	{ 0x581b21b0, "bpf_trace_run7" },
	{ 0x8e517c2f, "nfs_refresh_inode" },
	{ 0xd88dbbf4, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0x8b24d4b7, "nfs_init_server_rpcclient" },
	{ 0x10b82c4e, "__mark_inode_dirty" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xf3100bce, "rpc_set_connect_timeout" },
	{ 0xfa4b5267, "rpcauth_create" },
	{ 0x23c41025, "xdr_stream_pos" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x32cafa14, "key_set_timeout" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x13cdd74b, "svc_xprt_create" },
	{ 0xcefa5311, "nfs42_ssc_register" },
	{ 0x7908e9d6, "rpc_wait_for_completion_task" },
	{ 0x1e1cf0ef, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x340db9c3, "rpc_num_bc_slots" },
	{ 0x982a5b80, "nfs_alloc_inode" },
	{ 0x85d07771, "rpc_destroy_wait_queue" },
	{ 0x43897f0e, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xb3205169, "security_inode_listsecurity" },
	{ 0x4f479b36, "nfs_fhget" },
	{ 0xa465d897, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf817e80e, "locks_copy_lock" },
	{ 0xa687b5a0, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x774c40b4, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa61940bd, "nfs_set_verifier" },
	{ 0x664846e8, "proc_dointvec_minmax" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "40A1B6D6A74ADAFE1FF59F3");
MODULE_INFO(rhelversion, "10.1");
