#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0xf768b20a, "");
SYMBOL_CRC(is_hsr_master, 0x8c0671e6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x760c67f5, "dev_set_mtu" },
	{ 0xf43dfa34, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x9b9e5ec7, "eth_header" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8e31fb2e, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x8e23373b, "netdev_update_features" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x7711d9e, "rtnl_link_register" },
	{ 0x8a7fd147, "genlmsg_put" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x97184bc8, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0xfaa23f19, "dev_set_promiscuity" },
	{ 0x839a730c, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xa814e6c4, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x98ba354a, "unregister_netdevice_queue" },
	{ 0xfa1c8d21, "netlink_ack" },
	{ 0x6fb7f254, "__pskb_copy_fclone" },
	{ 0xbbce0c21, "dev_uc_unsync" },
	{ 0x2fcdbdbe, "ether_setup" },
	{ 0x3cfe2d47, "netlink_broadcast_filtered" },
	{ 0xc8cd539a, "netdev_err" },
	{ 0x9e1f9d93, "netdev_upper_dev_link" },
	{ 0x954be931, "dev_addr_mod" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb19190e1, "netdev_rx_handler_unregister" },
	{ 0xd3e6886c, "eth_header_parse" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x254c731e, "__alloc_skb" },
	{ 0xbdddf2b2, "skb_copy_expand" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x94f50ead, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x5cdd68d5, "rtnl_link_unregister" },
	{ 0x2293f6fc, "init_net" },
	{ 0x67e4f6fc, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x708f1cc7, "mark_tech_preview" },
	{ 0x86739787, "sk_skb_reason_drop" },
	{ 0x1c39b567, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfae5bdfc, "dev_get_by_index_rcu" },
	{ 0x4cb758be, "netdev_printk" },
	{ 0xd589db70, "skb_push" },
	{ 0xa331c29b, "debugfs_remove" },
	{ 0xa999b063, "netdev_upper_dev_unlink" },
	{ 0xff182e8, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x4c327b73, "netdev_set_operstate" },
	{ 0xb09ac1f0, "debugfs_change_name" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xcd402706, "__pskb_pull_tail" },
	{ 0x5554710d, "netif_rx" },
	{ 0xb3570dcd, "__netdev_alloc_skb" },
	{ 0x7ba8ef1a, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x391f8307, "seq_read" },
	{ 0x908d5212, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3bdc5e4f, "call_netdevice_notifiers" },
	{ 0x87d1963e, "dev_set_allmulti" },
	{ 0x9ccf54c9, "seq_write" },
	{ 0xa06c1497, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8b2e4272, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1879a748, "seq_printf" },
	{ 0xdac7330, "skb_clone" },
	{ 0x932dfd28, "netif_carrier_on" },
	{ 0xfbcc01ad, "debugfs_create_file_full" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xfe444377, "netdev_rx_handler_register" },
	{ 0xfb83c659, "single_release" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5d7edee8, "genl_unregister_family" },
	{ 0xf3d0153f, "dev_disable_lro" },
	{ 0x72cfbcc7, "dev_kfree_skb_any_reason" },
	{ 0xf5f10bc0, "single_open" },
	{ 0x826ecde7, "debugfs_create_dir" },
	{ 0xb78f80c0, "dev_mc_unsync" },
	{ 0xe4a53ba6, "genl_register_family" },
	{ 0xef897bcd, "netdev_core_stats_inc" },
	{ 0x43897f0e, "kmalloc_caches" },
	{ 0x8e2e4454, "netdev_info" },
	{ 0x74f8fc89, "dev_mc_sync_multiple" },
	{ 0xfad76d53, "register_netdevice" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "67D59C94EA6FA8201FE5FA8");
MODULE_INFO(rhelversion, "10.1");
