#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_register_bpf, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0xbd07f294, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0x20eb011d, "_gpl");
SYMBOL_CRC(flow_offload_free, 0xe02c6c4c, "_gpl");
SYMBOL_CRC(flow_offload_add, 0x1f7d7451, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0xe1df8d9d, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0xe9b1712e, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0x0329b508, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0x9b049248, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0x35ecafa1, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0x8b346c9a, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0xbf40a070, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0x27efbbd3, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0x634e4103, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0xbd536a30, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0xbf2c849d, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0x991f3edf, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0x448b6010, "_gpl");
SYMBOL_CRC(nf_flow_register_bpf, 0x098f9d9b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x831ac631, "flow_rule_alloc" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x23ca4531, "skb_gso_validate_network_len" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xaf81d414, "neigh_xmit" },
	{ 0xd5a7a5fe, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xce4cc473, "proc_create_net_data" },
	{ 0x24bb297e, "pskb_expand_head" },
	{ 0xe34d243b, "register_pernet_subsys" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x67e4f6fc, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1d8a46ba, "dev_get_by_index" },
	{ 0xfae5bdfc, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa394e8f7, "flow_indr_dev_setup_offload" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0xdde2a9b2, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xcd402706, "__pskb_pull_tail" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x5e33f671, "register_btf_kfunc_id_set" },
	{ 0x103bafd6, "down_read" },
	{ 0x8b4ed89e, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x908d5212, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9b87867, "neigh_destroy" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x4dcd4340, "rhashtable_init_noprof" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x910995a4, "inet_proto_csum_replace4" },
	{ 0x9ccf54c9, "seq_write" },
	{ 0xda38255, "remove_proc_entry" },
	{ 0xa06c1497, "__kmalloc_cache_noprof" },
	{ 0x759585bc, "nf_ct_acct_add" },
	{ 0x1879a748, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x49a2f510, "dst_release" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0x154867aa, "__nf_ct_refresh_acct" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0x555ccb97, "up_read" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0x43897f0e, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "E6C23232A8ACC30EA1179DB");
MODULE_INFO(rhelversion, "10.1");
