#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0xefd6b9d0, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xdb66afa3, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x9f7a274d, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x3fb3e614, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x1fc8ccad, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xf12f8ccf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd3f2b977, "nf_ct_ext_add" },
	{ 0x9f1dbac6, "nsh_pop" },
	{ 0xdc40490d, "nf_conntrack_find_get" },
	{ 0x7b726c49, "nf_ct_set_timeout" },
	{ 0x6025e5d3, "dev_get_stats" },
	{ 0xcc43fdc5, "__nla_put" },
	{ 0xacfb26e0, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x59e00b7d, "dev_fill_metadata_dst" },
	{ 0x9ff08174, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xc90f1f15, "skb_copy_bits" },
	{ 0xc1a18821, "nf_ct_handle_fragments" },
	{ 0x92b9bad9, "eth_mac_addr" },
	{ 0x8e31fb2e, "skb_put" },
	{ 0xf4200c83, "genl_notify" },
	{ 0x779e2b20, "nsh_push" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xdfeacaa9, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3d45461b, "nf_ct_nat" },
	{ 0x5c265759, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x82a157c6, "skb_eth_pop" },
	{ 0x3bf91973, "trace_raw_output_prep" },
	{ 0xbc88d6bb, "skb_gso_validate_mac_len" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0xfb8c40a9, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x46cf5ff2, "nf_ct_helper" },
	{ 0xab2e4c54, "__trace_trigger_soft_disabled" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xa59b5f9c, "trace_event_printf" },
	{ 0xab0f61fb, "rtnl_delete_link" },
	{ 0x7711d9e, "rtnl_link_register" },
	{ 0x87d9dbbc, "nf_connlabels_put" },
	{ 0x8a7fd147, "genlmsg_put" },
	{ 0xcc7bf8a, "___pskb_trim" },
	{ 0x98dc77b9, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0xbfdf1905, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0xfaa23f19, "dev_set_promiscuity" },
	{ 0x9ec5175, "nf_ct_destroy_timeout" },
	{ 0x9d425fc0, "nf_ct_add_helper" },
	{ 0xef52e848, "nf_conntrack_helper_put" },
	{ 0x36ab0f73, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xba49da6, "nf_ct_skb_network_trim" },
	{ 0x98ba354a, "unregister_netdevice_queue" },
	{ 0xc371ea4f, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x49672828, "node_states" },
	{ 0x2fcdbdbe, "ether_setup" },
	{ 0x3cfe2d47, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x24bb297e, "pskb_expand_head" },
	{ 0x84887e65, "skb_csum_hwoffload_help" },
	{ 0x29734170, "trace_event_buffer_commit" },
	{ 0x954be931, "dev_addr_mod" },
	{ 0x877be971, "nf_connlabels_replace" },
	{ 0xe236e57d, "eth_type_trans" },
	{ 0x224d20ac, "alloc_netdev_mqs" },
	{ 0x5f166738, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x3a855ce0, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xb19190e1, "netdev_rx_handler_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xfc1e2175, "skb_eth_push" },
	{ 0xd691b5f2, "nf_conncount_count" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x254c731e, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xd84ac060, "skb_mpls_pop" },
	{ 0x8ce19683, "skb_vlan_pop" },
	{ 0x80effa3d, "dst_init" },
	{ 0x1f575580, "module_put" },
	{ 0xa0d3d560, "ksize" },
	{ 0xed0b52ec, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x5cdd68d5, "rtnl_link_unregister" },
	{ 0xa9073364, "perf_trace_run_bpf_submit" },
	{ 0x2293f6fc, "init_net" },
	{ 0x6ccc34dd, "sort" },
	{ 0xfde94c94, "ipv6_stub" },
	{ 0x45ee2afc, "skb_mpls_update_lse" },
	{ 0x67e4f6fc, "skb_pull" },
	{ 0x18017361, "__skb_get_hash_symmetric_net" },
	{ 0x4dea1053, "memchr" },
	{ 0x86739787, "sk_skb_reason_drop" },
	{ 0x1c39b567, "netlink_unicast" },
	{ 0x7a273c07, "bpf_trace_run5" },
	{ 0xfae5bdfc, "dev_get_by_index_rcu" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xd589db70, "skb_push" },
	{ 0x70e3561, "kmem_cache_free" },
	{ 0xa999b063, "netdev_upper_dev_unlink" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xff182e8, "nla_put" },
	{ 0x887773b0, "trace_event_reg" },
	{ 0x6c7b9b75, "skb_ensure_writable" },
	{ 0x1d1a7547, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x561fa9d7, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xf6e09aca, "unregister_pernet_device" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6c6c065, "ethtool_op_get_link" },
	{ 0xd1a3d7ff, "__nf_conntrack_confirm" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xffa9ea5b, "nf_nat_helper_put" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x79b045b6, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xcd402706, "__pskb_pull_tail" },
	{ 0xcce906bd, "nf_ct_delete" },
	{ 0x9e20f463, "nf_conncount_init" },
	{ 0x8996ceb5, "skb_vlan_push" },
	{ 0x5554710d, "netif_rx" },
	{ 0xb3570dcd, "__netdev_alloc_skb" },
	{ 0x5c131701, "__kmem_cache_create_args" },
	{ 0xe572dbaf, "netdev_master_upper_dev_link" },
	{ 0xc2618f4c, "skb_zerocopy_headlen" },
	{ 0x267dd8e8, "drop_reasons_register_subsys" },
	{ 0x103bafd6, "down_read" },
	{ 0x8b4ed89e, "inet_proto_csum_replace16" },
	{ 0x7ba8ef1a, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xb419dea6, "skb_scrub_packet" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xe87915b3, "nf_ct_deliver_cached_events" },
	{ 0xc0d5bae4, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xb61f4cea, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x908d5212, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x9432d220, "trace_event_buffer_reserve" },
	{ 0x5ac66643, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x910995a4, "inet_proto_csum_replace4" },
	{ 0x1de3fded, "nf_conncount_destroy" },
	{ 0x228a9392, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa06c1497, "__kmalloc_cache_noprof" },
	{ 0xdd9e1a7d, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2a251153, "dev_get_by_name" },
	{ 0xdac7330, "skb_clone" },
	{ 0xdf562ea2, "metadata_dst_alloc" },
	{ 0x49a2f510, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x31e94be0, "peernet2id_alloc" },
	{ 0x8df6798c, "nf_ct_get_tuplepr" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xfe444377, "netdev_rx_handler_register" },
	{ 0xa044d16d, "ip_do_fragment" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x5d7edee8, "genl_unregister_family" },
	{ 0xf3d0153f, "dev_disable_lro" },
	{ 0xb5b32fe8, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x72cfbcc7, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe4a53ba6, "genl_register_family" },
	{ 0x9a0559f4, "nf_ct_tmpl_free" },
	{ 0x667db68e, "netlink_has_listeners" },
	{ 0x332c029, "kmalloc_size_roundup" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xf086ec9e, "__skb_gso_segment" },
	{ 0x555ccb97, "up_read" },
	{ 0x8033f54, "skb_mpls_push" },
	{ 0xc84f1743, "register_pernet_device" },
	{ 0x2e97acdb, "nf_conntrack_in" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0x43897f0e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa687b5a0, "kmem_cache_destroy" },
	{ 0x5f8bd473, "__skb_vlan_pop" },
	{ 0x42c345f, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xfad76d53, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "AB5CC160E7FE0295E28A0E8");
MODULE_INFO(rhelversion, "10.1");
