#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0xbd00a591, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0xe897fd7f, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0xa7d46430, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0x98f6347e, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0x5dc6cc95, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0x311dc3ca, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0xc1f3c4ca, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0x60bf912e, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0x82b00db7, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0xaa3b3b96, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0xd7be55a0, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0x097b7ecb, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0x0ccc563b, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0xda02624e, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0x41ccc7ca, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0xadcc4f2c, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0x491af64e, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0x90e02378, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0x82d22544, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0x18caa9c9, "_gpl");
SYMBOL_CRC(vsock_core_register, 0xc8e778e7, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0xc995b536, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0xa1b45243, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0xd1aa228d, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x4f666345, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0x21b2d61d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3cc5937f, "security_sock_graft" },
	{ 0x7df8fecb, "sock_map_close" },
	{ 0x2c5244d4, "sock_queue_rcv_skb_reason" },
	{ 0xacfb26e0, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4aba3063, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xdfeacaa9, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x390ad215, "__module_get" },
	{ 0x84f4e8c9, "sk_stream_error" },
	{ 0x741defa5, "sk_msg_recvmsg" },
	{ 0x337ddb81, "ns_capable_noaudit" },
	{ 0x37297fae, "__put_cred" },
	{ 0x4f4dfa7a, "sk_error_report" },
	{ 0x5c643e18, "skb_queue_purge_reason" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x2f0b3870, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5c79a6ac, "sock_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xc1b45c68, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1f575580, "module_put" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x5ab84480, "sk_msg_is_readable" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x86739787, "sk_skb_reason_drop" },
	{ 0x3c404321, "sk_free" },
	{ 0x178f162b, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x2815dc8a, "sock_no_listen" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x63ee2e9b, "sock_recv_errqueue" },
	{ 0xfa2a33de, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x9d3fd64f, "sk_alloc" },
	{ 0x646d5dc5, "sock_no_socketpair" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xcce0f9c2, "misc_register" },
	{ 0x74caf5ae, "sock_no_mmap" },
	{ 0x5bd28af4, "security_sk_clone" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0x22d35b47, "nonseekable_open" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3678668a, "sk_psock_drop" },
	{ 0x908d5212, "__dev_queue_xmit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8de96939, "init_user_ns" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdac7330, "skb_clone" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x66b968f6, "__s390_indirect_jump_r2" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x3be2b21b, "sock_setsockopt" },
	{ 0x14686a26, "sock_init_data" },
	{ 0xe459e988, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C348375E269EEB64CC9584A");
MODULE_INFO(rhelversion, "10.1");
